/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the Qt Virtual Keyboard module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

var unipenData = {
    "0x0020": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    268,
                    123,
                    0
                ],
                [
                    268,
                    122,
                    19
                ],
                [
                    269,
                    122,
                    47
                ],
                [
                    271,
                    122,
                    74
                ],
                [
                    280,
                    121,
                    90
                ],
                [
                    291,
                    121,
                    111
                ],
                [
                    318,
                    119,
                    129
                ],
                [
                    344,
                    118,
                    147
                ],
                [
                    397,
                    116,
                    183
                ],
                [
                    424,
                    115,
                    202
                ],
                [
                    479,
                    112,
                    232
                ],
                [
                    505,
                    110,
                    254
                ],
                [
                    516,
                    109,
                    276
                ],
                [
                    548,
                    107,
                    302
                ],
                [
                    556,
                    107,
                    322
                ],
                [
                    563,
                    106,
                    343
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x002b": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    452,
                    40,
                    0
                ],
                [
                    452,
                    39,
                    54
                ],
                [
                    452,
                    40,
                    106
                ],
                [
                    452,
                    42,
                    126
                ],
                [
                    453,
                    50,
                    144
                ],
                [
                    453,
                    60,
                    165
                ],
                [
                    453,
                    71,
                    187
                ],
                [
                    453,
                    96,
                    208
                ],
                [
                    454,
                    106,
                    228
                ],
                [
                    455,
                    126,
                    248
                ],
                [
                    455,
                    135,
                    280
                ],
                [
                    455,
                    144,
                    304
                ],
                [
                    456,
                    154,
                    323
                ],
                [
                    455,
                    156,
                    345
                ]
            ],
            [
                [
                    409,
                    94,
                    602
                ],
                [
                    409,
                    93,
                    629
                ],
                [
                    410,
                    93,
                    692
                ],
                [
                    412,
                    93,
                    727
                ],
                [
                    419,
                    93,
                    749
                ],
                [
                    428,
                    94,
                    765
                ],
                [
                    452,
                    95,
                    786
                ],
                [
                    463,
                    95,
                    809
                ],
                [
                    497,
                    92,
                    835
                ],
                [
                    505,
                    91,
                    851
                ],
                [
                    512,
                    90,
                    872
                ],
                [
                    516,
                    90,
                    904
                ],
                [
                    518,
                    90,
                    917
                ],
                [
                    520,
                    90,
                    952
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x0030": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    405,
                    66,
                    0
                ],
                [
                    402,
                    64,
                    94
                ],
                [
                    396,
                    62,
                    113
                ],
                [
                    389,
                    62,
                    130
                ],
                [
                    384,
                    62,
                    145
                ],
                [
                    373,
                    66,
                    163
                ],
                [
                    360,
                    76,
                    179
                ],
                [
                    351,
                    86,
                    192
                ],
                [
                    338,
                    112,
                    209
                ],
                [
                    334,
                    125,
                    232
                ],
                [
                    332,
                    139,
                    243
                ],
                [
                    338,
                    164,
                    259
                ],
                [
                    341,
                    169,
                    275
                ],
                [
                    353,
                    176,
                    291
                ],
                [
                    377,
                    177,
                    307
                ],
                [
                    398,
                    169,
                    324
                ],
                [
                    421,
                    152,
                    341
                ],
                [
                    429,
                    141,
                    357
                ],
                [
                    439,
                    123,
                    374
                ],
                [
                    441,
                    109,
                    390
                ],
                [
                    438,
                    98,
                    407
                ],
                [
                    435,
                    92,
                    424
                ],
                [
                    424,
                    79,
                    440
                ],
                [
                    413,
                    71,
                    457
                ],
                [
                    404,
                    67,
                    474
                ],
                [
                    401,
                    66,
                    490
                ],
                [
                    397,
                    66,
                    507
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0031": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    561,
                    71,
                    0
                ],
                [
                    564,
                    70,
                    69
                ],
                [
                    566,
                    66,
                    86
                ],
                [
                    567,
                    63,
                    100
                ],
                [
                    569,
                    56,
                    118
                ],
                [
                    572,
                    48,
                    136
                ],
                [
                    573,
                    45,
                    157
                ],
                [
                    575,
                    41,
                    169
                ],
                [
                    579,
                    46,
                    225
                ],
                [
                    579,
                    58,
                    239
                ],
                [
                    577,
                    113,
                    258
                ],
                [
                    576,
                    133,
                    276
                ],
                [
                    575,
                    149,
                    293
                ],
                [
                    575,
                    160,
                    309
                ],
                [
                    575,
                    168,
                    327
                ],
                [
                    575,
                    171,
                    345
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0032": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    407,
                    74,
                    0
                ],
                [
                    410,
                    72,
                    50
                ],
                [
                    417,
                    68,
                    83
                ],
                [
                    423,
                    63,
                    97
                ],
                [
                    443,
                    50,
                    117
                ],
                [
                    446,
                    49,
                    132
                ],
                [
                    454,
                    49,
                    148
                ],
                [
                    463,
                    50,
                    166
                ],
                [
                    467,
                    51,
                    180
                ],
                [
                    477,
                    61,
                    199
                ],
                [
                    480,
                    64,
                    218
                ],
                [
                    486,
                    76,
                    235
                ],
                [
                    491,
                    94,
                    251
                ],
                [
                    491,
                    114,
                    268
                ],
                [
                    488,
                    135,
                    286
                ],
                [
                    484,
                    152,
                    306
                ],
                [
                    481,
                    160,
                    320
                ],
                [
                    473,
                    176,
                    337
                ],
                [
                    466,
                    190,
                    352
                ],
                [
                    461,
                    195,
                    368
                ],
                [
                    451,
                    204,
                    390
                ],
                [
                    444,
                    207,
                    407
                ],
                [
                    437,
                    207,
                    425
                ],
                [
                    434,
                    205,
                    441
                ],
                [
                    427,
                    200,
                    457
                ],
                [
                    421,
                    191,
                    475
                ],
                [
                    418,
                    183,
                    492
                ],
                [
                    418,
                    177,
                    511
                ],
                [
                    418,
                    172,
                    530
                ],
                [
                    424,
                    163,
                    545
                ],
                [
                    432,
                    157,
                    564
                ],
                [
                    440,
                    155,
                    581
                ],
                [
                    444,
                    155,
                    596
                ],
                [
                    453,
                    157,
                    615
                ],
                [
                    461,
                    162,
                    632
                ],
                [
                    470,
                    169,
                    651
                ],
                [
                    478,
                    177,
                    668
                ],
                [
                    488,
                    187,
                    686
                ],
                [
                    496,
                    195,
                    703
                ],
                [
                    499,
                    199,
                    723
                ],
                [
                    504,
                    203,
                    737
                ],
                [
                    507,
                    205,
                    754
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0033": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    296,
                    90,
                    0
                ],
                [
                    299,
                    87,
                    92
                ],
                [
                    304,
                    82,
                    101
                ],
                [
                    325,
                    66,
                    120
                ],
                [
                    341,
                    60,
                    139
                ],
                [
                    352,
                    58,
                    156
                ],
                [
                    357,
                    58,
                    172
                ],
                [
                    364,
                    59,
                    188
                ],
                [
                    367,
                    62,
                    206
                ],
                [
                    366,
                    67,
                    224
                ],
                [
                    360,
                    76,
                    241
                ],
                [
                    344,
                    92,
                    258
                ],
                [
                    338,
                    97,
                    274
                ],
                [
                    332,
                    104,
                    295
                ],
                [
                    329,
                    109,
                    312
                ],
                [
                    330,
                    112,
                    335
                ],
                [
                    338,
                    117,
                    350
                ],
                [
                    349,
                    123,
                    367
                ],
                [
                    361,
                    129,
                    389
                ],
                [
                    365,
                    132,
                    402
                ],
                [
                    370,
                    139,
                    422
                ],
                [
                    372,
                    144,
                    440
                ],
                [
                    372,
                    150,
                    458
                ],
                [
                    367,
                    159,
                    475
                ],
                [
                    364,
                    164,
                    491
                ],
                [
                    352,
                    175,
                    509
                ],
                [
                    344,
                    179,
                    528
                ],
                [
                    336,
                    183,
                    539
                ],
                [
                    310,
                    184,
                    558
                ],
                [
                    292,
                    181,
                    576
                ],
                [
                    289,
                    180,
                    590
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0034": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    336,
                    49,
                    0
                ],
                [
                    336,
                    52,
                    94
                ],
                [
                    332,
                    60,
                    113
                ],
                [
                    330,
                    66,
                    127
                ],
                [
                    323,
                    82,
                    141
                ],
                [
                    322,
                    91,
                    155
                ],
                [
                    322,
                    94,
                    172
                ],
                [
                    326,
                    98,
                    190
                ],
                [
                    342,
                    103,
                    203
                ],
                [
                    375,
                    104,
                    222
                ],
                [
                    403,
                    102,
                    242
                ],
                [
                    412,
                    101,
                    256
                ],
                [
                    419,
                    101,
                    272
                ]
            ],
            [
                [
                    415,
                    59,
                    465
                ],
                [
                    414,
                    62,
                    505
                ],
                [
                    412,
                    69,
                    523
                ],
                [
                    410,
                    78,
                    533
                ],
                [
                    401,
                    124,
                    553
                ],
                [
                    393,
                    156,
                    568
                ],
                [
                    387,
                    169,
                    587
                ],
                [
                    382,
                    182,
                    604
                ],
                [
                    380,
                    190,
                    620
                ],
                [
                    374,
                    212,
                    638
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0035": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    358,
                    49,
                    0
                ],
                [
                    355,
                    54,
                    106
                ],
                [
                    352,
                    58,
                    115
                ],
                [
                    348,
                    64,
                    131
                ],
                [
                    338,
                    79,
                    146
                ],
                [
                    330,
                    90,
                    180
                ],
                [
                    320,
                    108,
                    191
                ],
                [
                    314,
                    119,
                    208
                ],
                [
                    313,
                    122,
                    222
                ],
                [
                    312,
                    126,
                    238
                ],
                [
                    316,
                    127,
                    263
                ],
                [
                    319,
                    125,
                    275
                ],
                [
                    339,
                    117,
                    290
                ],
                [
                    350,
                    113,
                    306
                ],
                [
                    366,
                    109,
                    322
                ],
                [
                    377,
                    107,
                    337
                ],
                [
                    381,
                    107,
                    352
                ],
                [
                    388,
                    109,
                    366
                ],
                [
                    391,
                    110,
                    385
                ],
                [
                    395,
                    112,
                    400
                ],
                [
                    398,
                    118,
                    414
                ],
                [
                    399,
                    126,
                    434
                ],
                [
                    393,
                    142,
                    455
                ],
                [
                    383,
                    157,
                    474
                ],
                [
                    370,
                    168,
                    496
                ],
                [
                    363,
                    172,
                    511
                ],
                [
                    352,
                    177,
                    526
                ],
                [
                    344,
                    179,
                    541
                ],
                [
                    340,
                    179,
                    554
                ],
                [
                    336,
                    179,
                    572
                ]
            ],
            [
                [
                    340,
                    61,
                    735
                ],
                [
                    343,
                    61,
                    804
                ],
                [
                    347,
                    59,
                    822
                ],
                [
                    350,
                    59,
                    833
                ],
                [
                    366,
                    57,
                    849
                ],
                [
                    374,
                    57,
                    863
                ],
                [
                    387,
                    56,
                    879
                ],
                [
                    396,
                    57,
                    896
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0036": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    396,
                    58,
                    0
                ],
                [
                    392,
                    60,
                    49
                ],
                [
                    389,
                    61,
                    58
                ],
                [
                    384,
                    62,
                    72
                ],
                [
                    373,
                    67,
                    88
                ],
                [
                    356,
                    83,
                    103
                ],
                [
                    347,
                    94,
                    119
                ],
                [
                    336,
                    119,
                    135
                ],
                [
                    332,
                    136,
                    152
                ],
                [
                    332,
                    154,
                    167
                ],
                [
                    333,
                    160,
                    184
                ],
                [
                    335,
                    166,
                    199
                ],
                [
                    338,
                    172,
                    215
                ],
                [
                    355,
                    180,
                    230
                ],
                [
                    370,
                    181,
                    244
                ],
                [
                    384,
                    179,
                    256
                ],
                [
                    408,
                    170,
                    273
                ],
                [
                    421,
                    160,
                    290
                ],
                [
                    426,
                    152,
                    308
                ],
                [
                    429,
                    144,
                    325
                ],
                [
                    424,
                    134,
                    342
                ],
                [
                    419,
                    129,
                    358
                ],
                [
                    399,
                    117,
                    376
                ],
                [
                    378,
                    114,
                    393
                ],
                [
                    361,
                    116,
                    411
                ],
                [
                    350,
                    120,
                    427
                ],
                [
                    346,
                    124,
                    448
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0037": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    310,
                    72,
                    0
                ],
                [
                    313,
                    72,
                    135
                ],
                [
                    321,
                    72,
                    153
                ],
                [
                    329,
                    73,
                    168
                ],
                [
                    370,
                    77,
                    188
                ],
                [
                    390,
                    77,
                    205
                ],
                [
                    396,
                    77,
                    222
                ],
                [
                    402,
                    77,
                    244
                ],
                [
                    407,
                    77,
                    254
                ],
                [
                    415,
                    77,
                    270
                ],
                [
                    419,
                    77,
                    291
                ],
                [
                    422,
                    77,
                    318
                ],
                [
                    425,
                    77,
                    365
                ],
                [
                    426,
                    81,
                    460
                ],
                [
                    422,
                    86,
                    487
                ],
                [
                    418,
                    90,
                    499
                ],
                [
                    402,
                    107,
                    516
                ],
                [
                    384,
                    123,
                    535
                ],
                [
                    376,
                    132,
                    550
                ],
                [
                    372,
                    137,
                    566
                ],
                [
                    363,
                    146,
                    584
                ],
                [
                    357,
                    153,
                    600
                ],
                [
                    355,
                    156,
                    618
                ],
                [
                    351,
                    161,
                    634
                ],
                [
                    348,
                    165,
                    650
                ],
                [
                    346,
                    169,
                    668
                ],
                [
                    344,
                    172,
                    712
                ],
                [
                    341,
                    175,
                    730
                ]
            ],
            [
                [
                    344,
                    129,
                    890
                ],
                [
                    347,
                    129,
                    929
                ],
                [
                    351,
                    128,
                    947
                ],
                [
                    356,
                    128,
                    958
                ],
                [
                    377,
                    124,
                    974
                ],
                [
                    389,
                    122,
                    991
                ],
                [
                    403,
                    118,
                    1004
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0038": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    404,
                    44,
                    0
                ],
                [
                    401,
                    44,
                    38
                ],
                [
                    398,
                    45,
                    49
                ],
                [
                    392,
                    46,
                    61
                ],
                [
                    376,
                    50,
                    76
                ],
                [
                    367,
                    53,
                    92
                ],
                [
                    352,
                    60,
                    108
                ],
                [
                    347,
                    63,
                    123
                ],
                [
                    343,
                    69,
                    145
                ],
                [
                    343,
                    74,
                    160
                ],
                [
                    345,
                    80,
                    173
                ],
                [
                    355,
                    95,
                    191
                ],
                [
                    378,
                    114,
                    204
                ],
                [
                    387,
                    121,
                    220
                ],
                [
                    396,
                    129,
                    235
                ],
                [
                    403,
                    135,
                    252
                ],
                [
                    404,
                    141,
                    268
                ],
                [
                    403,
                    148,
                    291
                ],
                [
                    396,
                    159,
                    309
                ],
                [
                    379,
                    175,
                    327
                ],
                [
                    363,
                    185,
                    345
                ],
                [
                    352,
                    190,
                    366
                ],
                [
                    340,
                    190,
                    387
                ],
                [
                    337,
                    188,
                    412
                ],
                [
                    338,
                    180,
                    428
                ],
                [
                    341,
                    172,
                    443
                ],
                [
                    359,
                    144,
                    458
                ],
                [
                    383,
                    120,
                    473
                ],
                [
                    395,
                    111,
                    489
                ],
                [
                    418,
                    94,
                    505
                ],
                [
                    433,
                    82,
                    521
                ],
                [
                    438,
                    79,
                    537
                ],
                [
                    444,
                    72,
                    553
                ],
                [
                    446,
                    65,
                    567
                ],
                [
                    445,
                    61,
                    593
                ],
                [
                    443,
                    57,
                    604
                ],
                [
                    430,
                    49,
                    625
                ],
                [
                    423,
                    46,
                    638
                ],
                [
                    416,
                    42,
                    657
                ],
                [
                    413,
                    42,
                    670
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0039": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    429,
                    60,
                    0
                ],
                [
                    424,
                    57,
                    87
                ],
                [
                    421,
                    55,
                    96
                ],
                [
                    418,
                    52,
                    110
                ],
                [
                    409,
                    47,
                    125
                ],
                [
                    394,
                    42,
                    144
                ],
                [
                    379,
                    44,
                    163
                ],
                [
                    358,
                    52,
                    185
                ],
                [
                    341,
                    66,
                    202
                ],
                [
                    329,
                    78,
                    220
                ],
                [
                    324,
                    87,
                    236
                ],
                [
                    324,
                    94,
                    257
                ],
                [
                    327,
                    97,
                    276
                ],
                [
                    339,
                    99,
                    296
                ],
                [
                    379,
                    92,
                    318
                ],
                [
                    390,
                    87,
                    335
                ],
                [
                    407,
                    77,
                    353
                ],
                [
                    420,
                    64,
                    369
                ],
                [
                    427,
                    52,
                    388
                ],
                [
                    429,
                    49,
                    410
                ],
                [
                    430,
                    46,
                    423
                ],
                [
                    427,
                    46,
                    468
                ],
                [
                    424,
                    53,
                    487
                ],
                [
                    422,
                    59,
                    501
                ],
                [
                    421,
                    77,
                    518
                ],
                [
                    424,
                    103,
                    540
                ],
                [
                    430,
                    133,
                    569
                ],
                [
                    432,
                    144,
                    587
                ],
                [
                    427,
                    159,
                    616
                ],
                [
                    423,
                    165,
                    633
                ],
                [
                    402,
                    181,
                    655
                ],
                [
                    386,
                    187,
                    675
                ],
                [
                    369,
                    190,
                    698
                ],
                [
                    342,
                    189,
                    721
                ],
                [
                    330,
                    187,
                    740
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0040": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    602,
                    74,
                    0
                ],
                [
                    598,
                    74,
                    68
                ],
                [
                    595,
                    74,
                    86
                ],
                [
                    592,
                    74,
                    99
                ],
                [
                    585,
                    76,
                    116
                ],
                [
                    576,
                    81,
                    132
                ],
                [
                    564,
                    90,
                    150
                ],
                [
                    558,
                    97,
                    166
                ],
                [
                    545,
                    115,
                    182
                ],
                [
                    538,
                    131,
                    199
                ],
                [
                    535,
                    142,
                    218
                ],
                [
                    535,
                    147,
                    232
                ],
                [
                    536,
                    157,
                    250
                ],
                [
                    538,
                    160,
                    265
                ],
                [
                    545,
                    169,
                    281
                ],
                [
                    550,
                    171,
                    298
                ],
                [
                    560,
                    172,
                    315
                ],
                [
                    574,
                    167,
                    333
                ],
                [
                    585,
                    159,
                    348
                ],
                [
                    594,
                    149,
                    371
                ],
                [
                    607,
                    126,
                    389
                ],
                [
                    613,
                    108,
                    406
                ],
                [
                    615,
                    101,
                    424
                ],
                [
                    615,
                    98,
                    442
                ],
                [
                    614,
                    93,
                    459
                ],
                [
                    613,
                    90,
                    486
                ],
                [
                    610,
                    87,
                    516
                ],
                [
                    607,
                    91,
                    554
                ],
                [
                    606,
                    97,
                    570
                ],
                [
                    606,
                    102,
                    584
                ],
                [
                    606,
                    116,
                    601
                ],
                [
                    609,
                    134,
                    620
                ],
                [
                    610,
                    139,
                    637
                ],
                [
                    612,
                    148,
                    653
                ],
                [
                    616,
                    154,
                    670
                ],
                [
                    618,
                    157,
                    688
                ],
                [
                    621,
                    160,
                    705
                ],
                [
                    627,
                    163,
                    722
                ],
                [
                    632,
                    163,
                    737
                ],
                [
                    636,
                    160,
                    755
                ],
                [
                    641,
                    148,
                    772
                ],
                [
                    646,
                    130,
                    788
                ],
                [
                    647,
                    117,
                    806
                ],
                [
                    647,
                    106,
                    822
                ],
                [
                    647,
                    100,
                    840
                ],
                [
                    644,
                    83,
                    857
                ],
                [
                    634,
                    57,
                    874
                ],
                [
                    626,
                    46,
                    891
                ],
                [
                    616,
                    35,
                    910
                ],
                [
                    604,
                    28,
                    927
                ],
                [
                    588,
                    23,
                    945
                ],
                [
                    580,
                    22,
                    963
                ],
                [
                    562,
                    24,
                    978
                ],
                [
                    546,
                    29,
                    995
                ],
                [
                    530,
                    38,
                    1014
                ],
                [
                    512,
                    56,
                    1032
                ],
                [
                    496,
                    77,
                    1051
                ],
                [
                    490,
                    91,
                    1065
                ],
                [
                    482,
                    117,
                    1083
                ],
                [
                    478,
                    144,
                    1100
                ],
                [
                    479,
                    160,
                    1117
                ],
                [
                    484,
                    178,
                    1135
                ],
                [
                    495,
                    193,
                    1153
                ],
                [
                    502,
                    199,
                    1170
                ],
                [
                    514,
                    208,
                    1187
                ],
                [
                    538,
                    214,
                    1206
                ],
                [
                    555,
                    213,
                    1221
                ],
                [
                    586,
                    209,
                    1239
                ],
                [
                    616,
                    201,
                    1255
                ],
                [
                    638,
                    188,
                    1274
                ],
                [
                    642,
                    186,
                    1301
                ],
                [
                    655,
                    177,
                    1313
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0041": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    511,
                    58,
                    0
                ],
                [
                    510,
                    63,
                    141
                ],
                [
                    507,
                    68,
                    150
                ],
                [
                    497,
                    84,
                    167
                ],
                [
                    485,
                    106,
                    187
                ],
                [
                    479,
                    117,
                    201
                ],
                [
                    469,
                    134,
                    214
                ],
                [
                    463,
                    145,
                    229
                ],
                [
                    455,
                    162,
                    244
                ],
                [
                    452,
                    174,
                    259
                ],
                [
                    450,
                    179,
                    275
                ],
                [
                    449,
                    185,
                    289
                ],
                [
                    450,
                    189,
                    309
                ]
            ],
            [
                [
                    510,
                    41,
                    485
                ],
                [
                    511,
                    45,
                    523
                ],
                [
                    512,
                    52,
                    541
                ],
                [
                    513,
                    57,
                    552
                ],
                [
                    516,
                    70,
                    568
                ],
                [
                    522,
                    92,
                    584
                ],
                [
                    524,
                    102,
                    599
                ],
                [
                    532,
                    124,
                    615
                ],
                [
                    539,
                    142,
                    631
                ],
                [
                    542,
                    151,
                    646
                ],
                [
                    548,
                    167,
                    661
                ],
                [
                    552,
                    178,
                    676
                ]
            ],
            [
                [
                    462,
                    116,
                    929
                ],
                [
                    469,
                    116,
                    960
                ],
                [
                    475,
                    116,
                    969
                ],
                [
                    492,
                    114,
                    986
                ],
                [
                    498,
                    113,
                    1001
                ],
                [
                    510,
                    111,
                    1015
                ],
                [
                    515,
                    110,
                    1027
                ],
                [
                    526,
                    109,
                    1045
                ],
                [
                    546,
                    105,
                    1062
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0042": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    446,
                    58,
                    0
                ],
                [
                    446,
                    62,
                    103
                ],
                [
                    446,
                    69,
                    119
                ],
                [
                    446,
                    75,
                    133
                ],
                [
                    444,
                    99,
                    152
                ],
                [
                    441,
                    126,
                    171
                ],
                [
                    439,
                    160,
                    201
                ],
                [
                    439,
                    170,
                    219
                ],
                [
                    439,
                    177,
                    239
                ],
                [
                    441,
                    180,
                    260
                ]
            ],
            [
                [
                    433,
                    64,
                    477
                ],
                [
                    436,
                    64,
                    526
                ],
                [
                    439,
                    64,
                    544
                ],
                [
                    443,
                    63,
                    558
                ],
                [
                    460,
                    59,
                    578
                ],
                [
                    466,
                    59,
                    592
                ],
                [
                    476,
                    57,
                    610
                ],
                [
                    485,
                    57,
                    628
                ],
                [
                    488,
                    58,
                    647
                ],
                [
                    491,
                    60,
                    664
                ],
                [
                    492,
                    63,
                    683
                ],
                [
                    486,
                    74,
                    702
                ],
                [
                    478,
                    84,
                    721
                ],
                [
                    475,
                    89,
                    734
                ],
                [
                    472,
                    92,
                    754
                ],
                [
                    470,
                    97,
                    773
                ],
                [
                    470,
                    101,
                    790
                ],
                [
                    472,
                    104,
                    806
                ],
                [
                    475,
                    108,
                    824
                ],
                [
                    485,
                    117,
                    842
                ],
                [
                    493,
                    124,
                    860
                ],
                [
                    496,
                    127,
                    873
                ],
                [
                    501,
                    132,
                    904
                ],
                [
                    504,
                    138,
                    921
                ],
                [
                    507,
                    144,
                    940
                ],
                [
                    507,
                    147,
                    957
                ],
                [
                    507,
                    154,
                    974
                ],
                [
                    506,
                    157,
                    992
                ],
                [
                    498,
                    164,
                    1008
                ],
                [
                    489,
                    170,
                    1022
                ],
                [
                    478,
                    175,
                    1041
                ],
                [
                    468,
                    178,
                    1062
                ],
                [
                    460,
                    180,
                    1080
                ],
                [
                    453,
                    182,
                    1099
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0043": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    509,
                    56,
                    0
                ],
                [
                    506,
                    53,
                    56
                ],
                [
                    502,
                    49,
                    73
                ],
                [
                    498,
                    46,
                    92
                ],
                [
                    494,
                    44,
                    110
                ],
                [
                    489,
                    42,
                    129
                ],
                [
                    484,
                    42,
                    140
                ],
                [
                    469,
                    46,
                    155
                ],
                [
                    460,
                    49,
                    171
                ],
                [
                    448,
                    56,
                    187
                ],
                [
                    436,
                    63,
                    204
                ],
                [
                    415,
                    86,
                    218
                ],
                [
                    398,
                    109,
                    233
                ],
                [
                    393,
                    119,
                    247
                ],
                [
                    391,
                    130,
                    262
                ],
                [
                    392,
                    135,
                    279
                ],
                [
                    396,
                    144,
                    296
                ],
                [
                    406,
                    154,
                    313
                ],
                [
                    428,
                    162,
                    329
                ],
                [
                    455,
                    166,
                    347
                ],
                [
                    464,
                    166,
                    362
                ],
                [
                    478,
                    165,
                    379
                ],
                [
                    490,
                    162,
                    396
                ],
                [
                    493,
                    162,
                    412
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0044": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    392,
                    62,
                    0
                ],
                [
                    393,
                    66,
                    48
                ],
                [
                    395,
                    71,
                    65
                ],
                [
                    395,
                    77,
                    77
                ],
                [
                    396,
                    103,
                    92
                ],
                [
                    396,
                    117,
                    107
                ],
                [
                    396,
                    139,
                    120
                ],
                [
                    395,
                    148,
                    132
                ],
                [
                    395,
                    162,
                    148
                ],
                [
                    395,
                    166,
                    165
                ],
                [
                    395,
                    170,
                    183
                ],
                [
                    396,
                    177,
                    199
                ],
                [
                    397,
                    181,
                    222
                ]
            ],
            [
                [
                    392,
                    65,
                    458
                ],
                [
                    395,
                    65,
                    505
                ],
                [
                    398,
                    65,
                    523
                ],
                [
                    405,
                    66,
                    542
                ],
                [
                    410,
                    66,
                    553
                ],
                [
                    419,
                    69,
                    569
                ],
                [
                    429,
                    71,
                    586
                ],
                [
                    433,
                    73,
                    602
                ],
                [
                    442,
                    78,
                    617
                ],
                [
                    450,
                    86,
                    634
                ],
                [
                    453,
                    92,
                    659
                ],
                [
                    456,
                    99,
                    671
                ],
                [
                    461,
                    117,
                    687
                ],
                [
                    461,
                    129,
                    703
                ],
                [
                    460,
                    134,
                    718
                ],
                [
                    457,
                    144,
                    734
                ],
                [
                    455,
                    150,
                    749
                ],
                [
                    449,
                    161,
                    768
                ],
                [
                    441,
                    171,
                    785
                ],
                [
                    433,
                    179,
                    801
                ],
                [
                    424,
                    184,
                    817
                ],
                [
                    413,
                    187,
                    837
                ],
                [
                    404,
                    189,
                    853
                ],
                [
                    401,
                    189,
                    865
                ],
                [
                    398,
                    190,
                    885
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0045": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    398,
                    66,
                    0
                ],
                [
                    399,
                    70,
                    58
                ],
                [
                    400,
                    76,
                    74
                ],
                [
                    400,
                    81,
                    88
                ],
                [
                    400,
                    100,
                    106
                ],
                [
                    398,
                    127,
                    121
                ],
                [
                    397,
                    143,
                    138
                ],
                [
                    395,
                    160,
                    154
                ],
                [
                    395,
                    171,
                    174
                ],
                [
                    394,
                    175,
                    190
                ],
                [
                    394,
                    182,
                    204
                ],
                [
                    395,
                    186,
                    222
                ]
            ],
            [
                [
                    399,
                    57,
                    465
                ],
                [
                    403,
                    59,
                    512
                ],
                [
                    407,
                    61,
                    530
                ],
                [
                    411,
                    61,
                    544
                ],
                [
                    421,
                    61,
                    563
                ],
                [
                    431,
                    61,
                    582
                ],
                [
                    441,
                    62,
                    599
                ],
                [
                    450,
                    65,
                    619
                ],
                [
                    453,
                    66,
                    632
                ]
            ],
            [
                [
                    387,
                    125,
                    810
                ],
                [
                    391,
                    125,
                    840
                ],
                [
                    395,
                    124,
                    851
                ],
                [
                    407,
                    122,
                    872
                ],
                [
                    436,
                    120,
                    901
                ],
                [
                    446,
                    120,
                    927
                ],
                [
                    455,
                    124,
                    950
                ]
            ],
            [
                [
                    384,
                    203,
                    1133
                ],
                [
                    387,
                    204,
                    1172
                ],
                [
                    392,
                    203,
                    1190
                ],
                [
                    396,
                    202,
                    1204
                ],
                [
                    418,
                    194,
                    1225
                ],
                [
                    429,
                    190,
                    1245
                ],
                [
                    433,
                    189,
                    1260
                ],
                [
                    436,
                    189,
                    1282
                ],
                [
                    439,
                    189,
                    1296
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0046": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    400,
                    65,
                    0
                ],
                [
                    400,
                    69,
                    63
                ],
                [
                    401,
                    76,
                    80
                ],
                [
                    401,
                    84,
                    92
                ],
                [
                    399,
                    112,
                    108
                ],
                [
                    399,
                    126,
                    122
                ],
                [
                    397,
                    152,
                    138
                ],
                [
                    396,
                    165,
                    152
                ],
                [
                    395,
                    169,
                    165
                ],
                [
                    395,
                    172,
                    179
                ],
                [
                    395,
                    179,
                    195
                ],
                [
                    396,
                    182,
                    211
                ]
            ],
            [
                [
                    398,
                    64,
                    425
                ],
                [
                    402,
                    64,
                    472
                ],
                [
                    407,
                    64,
                    491
                ],
                [
                    412,
                    64,
                    501
                ],
                [
                    418,
                    63,
                    525
                ],
                [
                    436,
                    62,
                    543
                ],
                [
                    451,
                    62,
                    560
                ],
                [
                    454,
                    63,
                    577
                ]
            ],
            [
                [
                    409,
                    116,
                    731
                ],
                [
                    412,
                    117,
                    806
                ],
                [
                    416,
                    118,
                    824
                ],
                [
                    420,
                    119,
                    835
                ],
                [
                    427,
                    120,
                    852
                ],
                [
                    436,
                    121,
                    869
                ],
                [
                    444,
                    124,
                    886
                ],
                [
                    449,
                    125,
                    901
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0047": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    452,
                    81,
                    0
                ],
                [
                    447,
                    81,
                    112
                ],
                [
                    440,
                    81,
                    145
                ],
                [
                    433,
                    81,
                    156
                ],
                [
                    417,
                    83,
                    171
                ],
                [
                    410,
                    86,
                    187
                ],
                [
                    395,
                    92,
                    202
                ],
                [
                    384,
                    102,
                    216
                ],
                [
                    379,
                    107,
                    232
                ],
                [
                    373,
                    118,
                    249
                ],
                [
                    368,
                    132,
                    265
                ],
                [
                    367,
                    138,
                    280
                ],
                [
                    368,
                    148,
                    299
                ],
                [
                    372,
                    158,
                    313
                ],
                [
                    381,
                    169,
                    329
                ],
                [
                    395,
                    177,
                    346
                ],
                [
                    401,
                    179,
                    363
                ],
                [
                    419,
                    182,
                    379
                ],
                [
                    434,
                    180,
                    396
                ],
                [
                    449,
                    175,
                    413
                ],
                [
                    456,
                    172,
                    429
                ],
                [
                    464,
                    167,
                    446
                ],
                [
                    469,
                    165,
                    465
                ],
                [
                    472,
                    162,
                    498
                ]
            ],
            [
                [
                    412,
                    139,
                    788
                ],
                [
                    417,
                    139,
                    864
                ],
                [
                    421,
                    139,
                    871
                ],
                [
                    433,
                    138,
                    887
                ],
                [
                    439,
                    138,
                    901
                ],
                [
                    451,
                    138,
                    919
                ],
                [
                    458,
                    138,
                    935
                ],
                [
                    461,
                    139,
                    956
                ],
                [
                    464,
                    142,
                    992
                ],
                [
                    465,
                    146,
                    1019
                ],
                [
                    465,
                    152,
                    1052
                ],
                [
                    464,
                    157,
                    1063
                ],
                [
                    464,
                    169,
                    1077
                ],
                [
                    464,
                    174,
                    1091
                ],
                [
                    464,
                    177,
                    1102
                ],
                [
                    464,
                    183,
                    1121
                ],
                [
                    463,
                    186,
                    1137
                ],
                [
                    463,
                    192,
                    1156
                ],
                [
                    462,
                    196,
                    1170
                ],
                [
                    462,
                    199,
                    1185
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0048": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    365,
                    67,
                    0
                ],
                [
                    366,
                    71,
                    49
                ],
                [
                    368,
                    74,
                    76
                ],
                [
                    369,
                    80,
                    95
                ],
                [
                    370,
                    84,
                    106
                ],
                [
                    370,
                    103,
                    122
                ],
                [
                    370,
                    132,
                    138
                ],
                [
                    370,
                    145,
                    151
                ],
                [
                    370,
                    155,
                    176
                ],
                [
                    370,
                    172,
                    194
                ],
                [
                    371,
                    177,
                    207
                ],
                [
                    372,
                    184,
                    222
                ]
            ],
            [
                [
                    424,
                    65,
                    403
                ],
                [
                    426,
                    69,
                    479
                ],
                [
                    426,
                    74,
                    488
                ],
                [
                    426,
                    81,
                    502
                ],
                [
                    426,
                    101,
                    519
                ],
                [
                    426,
                    119,
                    534
                ],
                [
                    426,
                    134,
                    551
                ],
                [
                    427,
                    144,
                    568
                ],
                [
                    428,
                    150,
                    585
                ],
                [
                    427,
                    162,
                    603
                ],
                [
                    426,
                    171,
                    618
                ],
                [
                    425,
                    175,
                    640
                ]
            ],
            [
                [
                    369,
                    137,
                    794
                ],
                [
                    372,
                    137,
                    841
                ],
                [
                    378,
                    136,
                    859
                ],
                [
                    383,
                    135,
                    870
                ],
                [
                    396,
                    130,
                    887
                ],
                [
                    410,
                    127,
                    904
                ],
                [
                    414,
                    126,
                    919
                ],
                [
                    418,
                    125,
                    937
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0049": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    571,
                    32,
                    0
                ],
                [
                    572,
                    37,
                    86
                ],
                [
                    572,
                    42,
                    95
                ],
                [
                    574,
                    51,
                    110
                ],
                [
                    577,
                    83,
                    128
                ],
                [
                    579,
                    118,
                    140
                ],
                [
                    579,
                    159,
                    158
                ],
                [
                    578,
                    172,
                    172
                ],
                [
                    578,
                    189,
                    189
                ],
                [
                    578,
                    193,
                    216
                ],
                [
                    579,
                    196,
                    238
                ]
            ],
            [
                [
                    553,
                    25,
                    453
                ],
                [
                    557,
                    27,
                    511
                ],
                [
                    562,
                    29,
                    529
                ],
                [
                    568,
                    29,
                    540
                ],
                [
                    583,
                    29,
                    556
                ],
                [
                    596,
                    28,
                    572
                ],
                [
                    601,
                    28,
                    588
                ]
            ],
            [
                [
                    558,
                    206,
                    917
                ],
                [
                    561,
                    206,
                    946
                ],
                [
                    564,
                    205,
                    955
                ],
                [
                    569,
                    205,
                    969
                ],
                [
                    581,
                    204,
                    984
                ],
                [
                    592,
                    203,
                    1001
                ],
                [
                    608,
                    200,
                    1015
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x004a": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    442,
                    66,
                    0
                ],
                [
                    444,
                    70,
                    110
                ],
                [
                    444,
                    74,
                    117
                ],
                [
                    444,
                    98,
                    134
                ],
                [
                    444,
                    112,
                    149
                ],
                [
                    442,
                    137,
                    164
                ],
                [
                    441,
                    145,
                    177
                ],
                [
                    440,
                    158,
                    188
                ],
                [
                    439,
                    164,
                    205
                ],
                [
                    437,
                    174,
                    221
                ],
                [
                    435,
                    181,
                    238
                ],
                [
                    430,
                    185,
                    257
                ],
                [
                    424,
                    187,
                    271
                ],
                [
                    421,
                    187,
                    288
                ],
                [
                    414,
                    185,
                    305
                ],
                [
                    411,
                    184,
                    321
                ],
                [
                    407,
                    183,
                    338
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x004b": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    416,
                    64,
                    0
                ],
                [
                    416,
                    68,
                    67
                ],
                [
                    416,
                    71,
                    74
                ],
                [
                    414,
                    88,
                    90
                ],
                [
                    413,
                    106,
                    106
                ],
                [
                    410,
                    138,
                    122
                ],
                [
                    407,
                    165,
                    138
                ],
                [
                    407,
                    172,
                    153
                ],
                [
                    406,
                    182,
                    168
                ],
                [
                    406,
                    185,
                    184
                ],
                [
                    407,
                    190,
                    200
                ]
            ],
            [
                [
                    474,
                    78,
                    339
                ],
                [
                    471,
                    81,
                    442
                ],
                [
                    466,
                    84,
                    450
                ],
                [
                    447,
                    99,
                    466
                ],
                [
                    438,
                    106,
                    483
                ],
                [
                    427,
                    117,
                    498
                ],
                [
                    420,
                    125,
                    513
                ],
                [
                    418,
                    129,
                    526
                ],
                [
                    415,
                    132,
                    540
                ],
                [
                    413,
                    135,
                    556
                ],
                [
                    412,
                    140,
                    573
                ],
                [
                    413,
                    144,
                    590
                ],
                [
                    423,
                    153,
                    607
                ],
                [
                    433,
                    160,
                    625
                ],
                [
                    444,
                    167,
                    644
                ],
                [
                    447,
                    170,
                    662
                ],
                [
                    454,
                    174,
                    675
                ],
                [
                    458,
                    177,
                    695
                ],
                [
                    461,
                    180,
                    723
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x004c": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    399,
                    76,
                    0
                ],
                [
                    400,
                    81,
                    111
                ],
                [
                    400,
                    84,
                    119
                ],
                [
                    400,
                    89,
                    134
                ],
                [
                    398,
                    111,
                    149
                ],
                [
                    396,
                    132,
                    165
                ],
                [
                    396,
                    139,
                    180
                ],
                [
                    395,
                    152,
                    197
                ],
                [
                    393,
                    164,
                    213
                ],
                [
                    392,
                    174,
                    230
                ],
                [
                    392,
                    183,
                    247
                ],
                [
                    392,
                    187,
                    264
                ],
                [
                    392,
                    194,
                    280
                ],
                [
                    392,
                    198,
                    298
                ],
                [
                    392,
                    202,
                    324
                ],
                [
                    394,
                    205,
                    385
                ],
                [
                    403,
                    204,
                    404
                ],
                [
                    411,
                    202,
                    414
                ],
                [
                    425,
                    199,
                    431
                ],
                [
                    431,
                    198,
                    445
                ],
                [
                    443,
                    197,
                    460
                ],
                [
                    450,
                    196,
                    474
                ],
                [
                    453,
                    196,
                    488
                ],
                [
                    456,
                    196,
                    503
                ],
                [
                    459,
                    196,
                    520
                ],
                [
                    463,
                    196,
                    543
                ],
                [
                    466,
                    196,
                    589
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x004d": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    399,
                    69,
                    0
                ],
                [
                    400,
                    72,
                    82
                ],
                [
                    400,
                    76,
                    90
                ],
                [
                    400,
                    99,
                    107
                ],
                [
                    400,
                    111,
                    121
                ],
                [
                    400,
                    119,
                    134
                ],
                [
                    400,
                    137,
                    153
                ],
                [
                    401,
                    149,
                    173
                ],
                [
                    402,
                    162,
                    191
                ],
                [
                    402,
                    172,
                    213
                ],
                [
                    403,
                    180,
                    231
                ],
                [
                    403,
                    184,
                    250
                ]
            ],
            [
                [
                    401,
                    64,
                    484
                ],
                [
                    401,
                    67,
                    521
                ],
                [
                    403,
                    71,
                    565
                ],
                [
                    408,
                    75,
                    584
                ],
                [
                    412,
                    77,
                    597
                ],
                [
                    419,
                    82,
                    611
                ],
                [
                    426,
                    85,
                    628
                ],
                [
                    429,
                    86,
                    644
                ],
                [
                    436,
                    87,
                    661
                ],
                [
                    443,
                    85,
                    677
                ],
                [
                    446,
                    84,
                    698
                ],
                [
                    450,
                    80,
                    712
                ],
                [
                    453,
                    77,
                    732
                ],
                [
                    457,
                    76,
                    745
                ],
                [
                    461,
                    74,
                    771
                ],
                [
                    464,
                    74,
                    807
                ],
                [
                    467,
                    76,
                    853
                ],
                [
                    467,
                    82,
                    872
                ],
                [
                    466,
                    89,
                    883
                ],
                [
                    464,
                    114,
                    899
                ],
                [
                    463,
                    135,
                    916
                ],
                [
                    462,
                    150,
                    937
                ],
                [
                    461,
                    159,
                    951
                ],
                [
                    462,
                    175,
                    970
                ],
                [
                    462,
                    182,
                    986
                ],
                [
                    463,
                    192,
                    1001
                ],
                [
                    463,
                    207,
                    1016
                ],
                [
                    464,
                    211,
                    1030
                ],
                [
                    464,
                    214,
                    1043
                ],
                [
                    464,
                    218,
                    1060
                ],
                [
                    465,
                    221,
                    1086
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x004e": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    378,
                    72,
                    0
                ],
                [
                    379,
                    75,
                    75
                ],
                [
                    380,
                    80,
                    118
                ],
                [
                    381,
                    85,
                    128
                ],
                [
                    381,
                    99,
                    146
                ],
                [
                    381,
                    108,
                    160
                ],
                [
                    381,
                    120,
                    174
                ],
                [
                    380,
                    129,
                    192
                ],
                [
                    380,
                    132,
                    209
                ],
                [
                    380,
                    143,
                    228
                ],
                [
                    380,
                    147,
                    243
                ],
                [
                    380,
                    156,
                    259
                ],
                [
                    380,
                    160,
                    273
                ],
                [
                    380,
                    169,
                    288
                ],
                [
                    380,
                    172,
                    303
                ],
                [
                    380,
                    175,
                    319
                ],
                [
                    380,
                    179,
                    336
                ],
                [
                    380,
                    183,
                    356
                ],
                [
                    380,
                    186,
                    382
                ],
                [
                    380,
                    189,
                    428
                ]
            ],
            [
                [
                    376,
                    72,
                    702
                ],
                [
                    378,
                    77,
                    750
                ],
                [
                    381,
                    81,
                    759
                ],
                [
                    384,
                    86,
                    774
                ],
                [
                    394,
                    99,
                    790
                ],
                [
                    407,
                    111,
                    804
                ],
                [
                    415,
                    116,
                    819
                ],
                [
                    425,
                    125,
                    830
                ],
                [
                    428,
                    128,
                    848
                ],
                [
                    434,
                    135,
                    866
                ],
                [
                    438,
                    142,
                    881
                ]
            ],
            [
                [
                    447,
                    56,
                    1046
                ],
                [
                    446,
                    64,
                    1075
                ],
                [
                    445,
                    72,
                    1084
                ],
                [
                    444,
                    83,
                    1100
                ],
                [
                    443,
                    112,
                    1117
                ],
                [
                    441,
                    130,
                    1132
                ],
                [
                    441,
                    142,
                    1149
                ],
                [
                    441,
                    155,
                    1166
                ],
                [
                    441,
                    161,
                    1182
                ],
                [
                    442,
                    172,
                    1199
                ],
                [
                    442,
                    192,
                    1215
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x004f": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    441,
                    71,
                    0
                ],
                [
                    436,
                    69,
                    112
                ],
                [
                    432,
                    69,
                    121
                ],
                [
                    428,
                    71,
                    135
                ],
                [
                    416,
                    74,
                    151
                ],
                [
                    403,
                    83,
                    171
                ],
                [
                    390,
                    97,
                    188
                ],
                [
                    381,
                    118,
                    204
                ],
                [
                    378,
                    130,
                    219
                ],
                [
                    378,
                    145,
                    236
                ],
                [
                    383,
                    158,
                    252
                ],
                [
                    393,
                    169,
                    267
                ],
                [
                    401,
                    174,
                    283
                ],
                [
                    419,
                    179,
                    299
                ],
                [
                    428,
                    179,
                    312
                ],
                [
                    435,
                    179,
                    325
                ],
                [
                    444,
                    176,
                    342
                ],
                [
                    458,
                    162,
                    358
                ],
                [
                    465,
                    151,
                    374
                ],
                [
                    470,
                    132,
                    391
                ],
                [
                    470,
                    119,
                    408
                ],
                [
                    464,
                    104,
                    425
                ],
                [
                    455,
                    90,
                    441
                ],
                [
                    449,
                    84,
                    458
                ],
                [
                    438,
                    76,
                    474
                ],
                [
                    429,
                    71,
                    492
                ],
                [
                    425,
                    67,
                    511
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0050": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    379,
                    68,
                    0
                ],
                [
                    379,
                    71,
                    39
                ],
                [
                    381,
                    77,
                    57
                ],
                [
                    382,
                    83,
                    81
                ],
                [
                    383,
                    93,
                    94
                ],
                [
                    387,
                    139,
                    113
                ],
                [
                    386,
                    159,
                    129
                ],
                [
                    386,
                    169,
                    144
                ],
                [
                    387,
                    177,
                    163
                ],
                [
                    387,
                    180,
                    180
                ],
                [
                    387,
                    184,
                    198
                ],
                [
                    389,
                    187,
                    210
                ]
            ],
            [
                [
                    374,
                    76,
                    435
                ],
                [
                    377,
                    74,
                    502
                ],
                [
                    383,
                    71,
                    518
                ],
                [
                    387,
                    68,
                    532
                ],
                [
                    392,
                    66,
                    552
                ],
                [
                    409,
                    64,
                    569
                ],
                [
                    425,
                    67,
                    586
                ],
                [
                    429,
                    69,
                    603
                ],
                [
                    433,
                    75,
                    622
                ],
                [
                    438,
                    83,
                    639
                ],
                [
                    439,
                    93,
                    656
                ],
                [
                    440,
                    102,
                    675
                ],
                [
                    438,
                    111,
                    692
                ],
                [
                    432,
                    117,
                    711
                ],
                [
                    422,
                    123,
                    730
                ],
                [
                    418,
                    124,
                    744
                ],
                [
                    408,
                    126,
                    763
                ],
                [
                    401,
                    127,
                    780
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0051": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    421,
                    70,
                    0
                ],
                [
                    418,
                    66,
                    76
                ],
                [
                    413,
                    64,
                    93
                ],
                [
                    410,
                    64,
                    105
                ],
                [
                    404,
                    63,
                    127
                ],
                [
                    396,
                    64,
                    138
                ],
                [
                    369,
                    74,
                    153
                ],
                [
                    358,
                    82,
                    170
                ],
                [
                    346,
                    97,
                    185
                ],
                [
                    333,
                    122,
                    200
                ],
                [
                    329,
                    134,
                    216
                ],
                [
                    328,
                    150,
                    231
                ],
                [
                    331,
                    162,
                    247
                ],
                [
                    335,
                    167,
                    263
                ],
                [
                    346,
                    175,
                    279
                ],
                [
                    369,
                    177,
                    295
                ],
                [
                    396,
                    169,
                    312
                ],
                [
                    410,
                    163,
                    328
                ],
                [
                    432,
                    147,
                    345
                ],
                [
                    449,
                    127,
                    362
                ],
                [
                    453,
                    110,
                    378
                ],
                [
                    452,
                    102,
                    395
                ],
                [
                    447,
                    87,
                    411
                ],
                [
                    435,
                    74,
                    428
                ],
                [
                    422,
                    66,
                    444
                ],
                [
                    417,
                    63,
                    461
                ],
                [
                    410,
                    60,
                    478
                ],
                [
                    407,
                    58,
                    494
                ]
            ],
            [
                [
                    403,
                    151,
                    760
                ],
                [
                    406,
                    155,
                    836
                ],
                [
                    409,
                    159,
                    845
                ],
                [
                    412,
                    164,
                    862
                ],
                [
                    419,
                    179,
                    876
                ],
                [
                    428,
                    197,
                    891
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0052": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    375,
                    74,
                    0
                ],
                [
                    375,
                    78,
                    75
                ],
                [
                    375,
                    86,
                    93
                ],
                [
                    375,
                    97,
                    104
                ],
                [
                    374,
                    114,
                    119
                ],
                [
                    373,
                    130,
                    137
                ],
                [
                    372,
                    162,
                    152
                ],
                [
                    372,
                    174,
                    169
                ],
                [
                    373,
                    184,
                    185
                ],
                [
                    373,
                    188,
                    203
                ]
            ],
            [
                [
                    375,
                    76,
                    391
                ],
                [
                    379,
                    72,
                    477
                ],
                [
                    386,
                    71,
                    494
                ],
                [
                    392,
                    70,
                    507
                ],
                [
                    407,
                    71,
                    521
                ],
                [
                    415,
                    72,
                    538
                ],
                [
                    424,
                    75,
                    553
                ],
                [
                    429,
                    79,
                    577
                ],
                [
                    431,
                    84,
                    602
                ],
                [
                    430,
                    87,
                    612
                ],
                [
                    423,
                    102,
                    628
                ],
                [
                    406,
                    122,
                    647
                ],
                [
                    392,
                    135,
                    667
                ],
                [
                    384,
                    142,
                    686
                ],
                [
                    381,
                    144,
                    707
                ],
                [
                    378,
                    147,
                    726
                ],
                [
                    376,
                    150,
                    760
                ],
                [
                    380,
                    152,
                    797
                ],
                [
                    383,
                    153,
                    809
                ],
                [
                    390,
                    155,
                    825
                ],
                [
                    393,
                    157,
                    841
                ],
                [
                    400,
                    161,
                    857
                ],
                [
                    404,
                    164,
                    871
                ],
                [
                    409,
                    167,
                    886
                ],
                [
                    412,
                    170,
                    903
                ],
                [
                    415,
                    174,
                    922
                ],
                [
                    417,
                    177,
                    942
                ],
                [
                    420,
                    180,
                    960
                ],
                [
                    424,
                    184,
                    986
                ],
                [
                    427,
                    187,
                    1023
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0053": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    436,
                    80,
                    0
                ],
                [
                    433,
                    76,
                    95
                ],
                [
                    429,
                    72,
                    113
                ],
                [
                    425,
                    70,
                    127
                ],
                [
                    417,
                    66,
                    140
                ],
                [
                    411,
                    64,
                    155
                ],
                [
                    398,
                    64,
                    170
                ],
                [
                    382,
                    66,
                    185
                ],
                [
                    376,
                    68,
                    201
                ],
                [
                    369,
                    71,
                    217
                ],
                [
                    364,
                    75,
                    233
                ],
                [
                    358,
                    84,
                    249
                ],
                [
                    360,
                    94,
                    266
                ],
                [
                    364,
                    101,
                    283
                ],
                [
                    383,
                    122,
                    299
                ],
                [
                    401,
                    135,
                    316
                ],
                [
                    415,
                    144,
                    332
                ],
                [
                    423,
                    150,
                    349
                ],
                [
                    427,
                    154,
                    372
                ],
                [
                    429,
                    157,
                    390
                ],
                [
                    427,
                    162,
                    418
                ],
                [
                    422,
                    165,
                    437
                ],
                [
                    417,
                    167,
                    448
                ],
                [
                    399,
                    172,
                    463
                ],
                [
                    388,
                    174,
                    479
                ],
                [
                    375,
                    175,
                    494
                ],
                [
                    363,
                    175,
                    510
                ],
                [
                    357,
                    174,
                    524
                ],
                [
                    349,
                    173,
                    539
                ],
                [
                    345,
                    173,
                    559
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0054": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    388,
                    65,
                    0
                ],
                [
                    388,
                    69,
                    68
                ],
                [
                    388,
                    74,
                    76
                ],
                [
                    388,
                    81,
                    92
                ],
                [
                    388,
                    93,
                    112
                ],
                [
                    386,
                    113,
                    124
                ],
                [
                    384,
                    157,
                    140
                ],
                [
                    384,
                    165,
                    160
                ],
                [
                    384,
                    171,
                    177
                ],
                [
                    384,
                    174,
                    193
                ],
                [
                    384,
                    178,
                    208
                ],
                [
                    383,
                    181,
                    225
                ]
            ],
            [
                [
                    351,
                    74,
                    405
                ],
                [
                    354,
                    74,
                    463
                ],
                [
                    359,
                    74,
                    481
                ],
                [
                    364,
                    73,
                    493
                ],
                [
                    386,
                    71,
                    507
                ],
                [
                    397,
                    71,
                    522
                ],
                [
                    408,
                    70,
                    537
                ],
                [
                    412,
                    70,
                    552
                ],
                [
                    415,
                    70,
                    567
                ],
                [
                    419,
                    71,
                    592
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0055": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    384,
                    61,
                    0
                ],
                [
                    381,
                    66,
                    108
                ],
                [
                    379,
                    71,
                    116
                ],
                [
                    373,
                    89,
                    135
                ],
                [
                    370,
                    105,
                    149
                ],
                [
                    365,
                    133,
                    162
                ],
                [
                    366,
                    150,
                    178
                ],
                [
                    367,
                    156,
                    192
                ],
                [
                    368,
                    160,
                    204
                ],
                [
                    373,
                    169,
                    220
                ],
                [
                    381,
                    174,
                    236
                ],
                [
                    386,
                    175,
                    253
                ],
                [
                    399,
                    177,
                    270
                ],
                [
                    412,
                    174,
                    286
                ],
                [
                    421,
                    167,
                    303
                ],
                [
                    430,
                    153,
                    320
                ],
                [
                    436,
                    129,
                    337
                ],
                [
                    438,
                    116,
                    354
                ],
                [
                    439,
                    96,
                    370
                ],
                [
                    438,
                    84,
                    387
                ],
                [
                    436,
                    76,
                    405
                ],
                [
                    436,
                    72,
                    424
                ],
                [
                    436,
                    69,
                    453
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0056": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    372,
                    59,
                    0
                ],
                [
                    372,
                    62,
                    84
                ],
                [
                    372,
                    67,
                    102
                ],
                [
                    372,
                    73,
                    113
                ],
                [
                    370,
                    101,
                    129
                ],
                [
                    371,
                    117,
                    143
                ],
                [
                    371,
                    145,
                    158
                ],
                [
                    375,
                    167,
                    183
                ],
                [
                    376,
                    176,
                    200
                ],
                [
                    378,
                    182,
                    222
                ],
                [
                    379,
                    185,
                    244
                ],
                [
                    383,
                    185,
                    281
                ],
                [
                    387,
                    174,
                    296
                ],
                [
                    394,
                    148,
                    315
                ],
                [
                    397,
                    134,
                    330
                ],
                [
                    402,
                    110,
                    345
                ],
                [
                    403,
                    104,
                    360
                ],
                [
                    404,
                    96,
                    375
                ],
                [
                    407,
                    88,
                    390
                ],
                [
                    408,
                    84,
                    406
                ],
                [
                    409,
                    81,
                    426
                ],
                [
                    412,
                    76,
                    445
                ],
                [
                    413,
                    72,
                    464
                ],
                [
                    415,
                    69,
                    491
                ],
                [
                    416,
                    66,
                    539
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0057": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    345,
                    67,
                    0
                ],
                [
                    347,
                    71,
                    98
                ],
                [
                    347,
                    76,
                    106
                ],
                [
                    351,
                    95,
                    125
                ],
                [
                    355,
                    120,
                    142
                ],
                [
                    358,
                    134,
                    160
                ],
                [
                    359,
                    139,
                    176
                ],
                [
                    361,
                    149,
                    192
                ],
                [
                    364,
                    156,
                    212
                ],
                [
                    366,
                    160,
                    228
                ],
                [
                    367,
                    164,
                    248
                ],
                [
                    370,
                    165,
                    291
                ],
                [
                    375,
                    157,
                    311
                ],
                [
                    385,
                    131,
                    333
                ],
                [
                    396,
                    98,
                    353
                ],
                [
                    401,
                    83,
                    382
                ],
                [
                    404,
                    76,
                    400
                ],
                [
                    405,
                    72,
                    417
                ],
                [
                    407,
                    67,
                    440
                ],
                [
                    410,
                    63,
                    464
                ],
                [
                    412,
                    60,
                    501
                ],
                [
                    412,
                    64,
                    556
                ],
                [
                    411,
                    67,
                    570
                ],
                [
                    407,
                    88,
                    591
                ],
                [
                    406,
                    97,
                    606
                ],
                [
                    405,
                    115,
                    624
                ],
                [
                    405,
                    129,
                    642
                ],
                [
                    405,
                    142,
                    659
                ],
                [
                    406,
                    154,
                    677
                ],
                [
                    407,
                    162,
                    695
                ],
                [
                    407,
                    165,
                    713
                ],
                [
                    409,
                    170,
                    732
                ],
                [
                    410,
                    173,
                    746
                ],
                [
                    413,
                    175,
                    787
                ],
                [
                    416,
                    172,
                    806
                ],
                [
                    423,
                    161,
                    821
                ],
                [
                    435,
                    134,
                    840
                ],
                [
                    444,
                    109,
                    858
                ],
                [
                    447,
                    102,
                    875
                ],
                [
                    450,
                    97,
                    896
                ],
                [
                    452,
                    94,
                    909
                ],
                [
                    455,
                    86,
                    926
                ],
                [
                    457,
                    81,
                    946
                ],
                [
                    460,
                    77,
                    973
                ],
                [
                    463,
                    74,
                    1011
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0058": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    436,
                    66,
                    0
                ],
                [
                    435,
                    69,
                    44
                ],
                [
                    430,
                    74,
                    62
                ],
                [
                    418,
                    89,
                    78
                ],
                [
                    409,
                    102,
                    91
                ],
                [
                    390,
                    125,
                    109
                ],
                [
                    375,
                    147,
                    127
                ],
                [
                    368,
                    160,
                    144
                ],
                [
                    361,
                    170,
                    161
                ],
                [
                    357,
                    179,
                    185
                ],
                [
                    355,
                    184,
                    210
                ]
            ],
            [
                [
                    370,
                    63,
                    379
                ],
                [
                    371,
                    67,
                    437
                ],
                [
                    374,
                    71,
                    456
                ],
                [
                    378,
                    76,
                    470
                ],
                [
                    391,
                    97,
                    489
                ],
                [
                    403,
                    116,
                    504
                ],
                [
                    410,
                    129,
                    523
                ],
                [
                    417,
                    140,
                    541
                ],
                [
                    423,
                    150,
                    559
                ],
                [
                    424,
                    154,
                    574
                ],
                [
                    427,
                    161,
                    592
                ],
                [
                    430,
                    167,
                    612
                ],
                [
                    432,
                    171,
                    630
                ],
                [
                    433,
                    174,
                    650
                ],
                [
                    435,
                    177,
                    670
                ],
                [
                    437,
                    180,
                    731
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0059": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    522,
                    50,
                    0
                ],
                [
                    525,
                    53,
                    59
                ],
                [
                    526,
                    56,
                    68
                ],
                [
                    530,
                    67,
                    86
                ],
                [
                    535,
                    79,
                    105
                ],
                [
                    539,
                    88,
                    124
                ],
                [
                    541,
                    92,
                    144
                ],
                [
                    545,
                    95,
                    171
                ],
                [
                    549,
                    94,
                    191
                ],
                [
                    558,
                    89,
                    206
                ],
                [
                    577,
                    70,
                    226
                ],
                [
                    596,
                    47,
                    245
                ],
                [
                    613,
                    24,
                    261
                ],
                [
                    619,
                    15,
                    279
                ],
                [
                    625,
                    6,
                    296
                ]
            ],
            [
                [
                    553,
                    96,
                    516
                ],
                [
                    553,
                    99,
                    554
                ],
                [
                    552,
                    106,
                    573
                ],
                [
                    550,
                    112,
                    587
                ],
                [
                    546,
                    137,
                    606
                ],
                [
                    539,
                    165,
                    620
                ],
                [
                    536,
                    177,
                    636
                ],
                [
                    532,
                    192,
                    652
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x005a": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    322,
                    80,
                    0
                ],
                [
                    325,
                    82,
                    95
                ],
                [
                    328,
                    82,
                    106
                ],
                [
                    344,
                    79,
                    125
                ],
                [
                    373,
                    76,
                    140
                ],
                [
                    393,
                    76,
                    159
                ],
                [
                    403,
                    77,
                    179
                ],
                [
                    406,
                    77,
                    204
                ],
                [
                    410,
                    80,
                    235
                ],
                [
                    410,
                    86,
                    255
                ],
                [
                    394,
                    104,
                    272
                ],
                [
                    374,
                    124,
                    290
                ],
                [
                    359,
                    137,
                    308
                ],
                [
                    342,
                    153,
                    339
                ],
                [
                    334,
                    161,
                    363
                ],
                [
                    332,
                    164,
                    386
                ],
                [
                    331,
                    167,
                    410
                ],
                [
                    335,
                    169,
                    438
                ],
                [
                    340,
                    170,
                    452
                ],
                [
                    363,
                    169,
                    469
                ],
                [
                    386,
                    165,
                    486
                ],
                [
                    396,
                    164,
                    503
                ],
                [
                    401,
                    164,
                    519
                ],
                [
                    409,
                    164,
                    536
                ],
                [
                    413,
                    164,
                    555
                ],
                [
                    416,
                    164,
                    581
                ],
                [
                    419,
                    164,
                    628
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0061": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    320,
                    92,
                    0
                ],
                [
                    323,
                    89,
                    48
                ],
                [
                    328,
                    84,
                    66
                ],
                [
                    338,
                    79,
                    83
                ],
                [
                    344,
                    76,
                    98
                ],
                [
                    360,
                    72,
                    115
                ],
                [
                    377,
                    71,
                    134
                ],
                [
                    385,
                    71,
                    146
                ],
                [
                    397,
                    75,
                    165
                ],
                [
                    407,
                    82,
                    183
                ],
                [
                    414,
                    94,
                    199
                ],
                [
                    418,
                    111,
                    217
                ],
                [
                    419,
                    129,
                    234
                ],
                [
                    420,
                    137,
                    251
                ],
                [
                    420,
                    150,
                    268
                ],
                [
                    420,
                    159,
                    285
                ],
                [
                    421,
                    167,
                    302
                ],
                [
                    422,
                    170,
                    327
                ],
                [
                    423,
                    174,
                    341
                ],
                [
                    425,
                    178,
                    360
                ],
                [
                    426,
                    181,
                    377
                ],
                [
                    425,
                    178,
                    440
                ],
                [
                    424,
                    175,
                    454
                ],
                [
                    419,
                    167,
                    473
                ],
                [
                    413,
                    159,
                    488
                ],
                [
                    402,
                    148,
                    506
                ],
                [
                    383,
                    137,
                    523
                ],
                [
                    362,
                    132,
                    540
                ],
                [
                    343,
                    132,
                    560
                ],
                [
                    337,
                    134,
                    577
                ],
                [
                    326,
                    140,
                    594
                ],
                [
                    316,
                    147,
                    607
                ],
                [
                    310,
                    155,
                    627
                ],
                [
                    309,
                    158,
                    642
                ],
                [
                    307,
                    161,
                    660
                ],
                [
                    308,
                    166,
                    676
                ],
                [
                    314,
                    172,
                    694
                ],
                [
                    330,
                    175,
                    711
                ],
                [
                    356,
                    175,
                    731
                ],
                [
                    370,
                    174,
                    744
                ],
                [
                    390,
                    172,
                    761
                ],
                [
                    396,
                    172,
                    785
                ],
                [
                    406,
                    171,
                    801
                ],
                [
                    410,
                    170,
                    820
                ],
                [
                    414,
                    170,
                    836
                ],
                [
                    417,
                    170,
                    872
                ],
                [
                    421,
                    170,
                    918
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0062": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    338,
                    44,
                    0
                ],
                [
                    339,
                    47,
                    97
                ],
                [
                    340,
                    52,
                    114
                ],
                [
                    341,
                    59,
                    128
                ],
                [
                    342,
                    84,
                    147
                ],
                [
                    343,
                    112,
                    162
                ],
                [
                    343,
                    133,
                    179
                ],
                [
                    343,
                    139,
                    197
                ],
                [
                    343,
                    151,
                    211
                ],
                [
                    343,
                    161,
                    229
                ],
                [
                    343,
                    165,
                    244
                ],
                [
                    343,
                    174,
                    261
                ],
                [
                    344,
                    180,
                    282
                ],
                [
                    344,
                    185,
                    300
                ],
                [
                    345,
                    189,
                    317
                ],
                [
                    346,
                    192,
                    370
                ],
                [
                    347,
                    186,
                    398
                ],
                [
                    349,
                    179,
                    411
                ],
                [
                    356,
                    155,
                    429
                ],
                [
                    362,
                    129,
                    446
                ],
                [
                    367,
                    116,
                    463
                ],
                [
                    373,
                    107,
                    479
                ],
                [
                    377,
                    102,
                    497
                ],
                [
                    386,
                    95,
                    513
                ],
                [
                    393,
                    92,
                    528
                ],
                [
                    398,
                    92,
                    544
                ],
                [
                    410,
                    94,
                    562
                ],
                [
                    426,
                    104,
                    582
                ],
                [
                    432,
                    111,
                    600
                ],
                [
                    435,
                    115,
                    617
                ],
                [
                    438,
                    122,
                    635
                ],
                [
                    438,
                    129,
                    651
                ],
                [
                    435,
                    137,
                    668
                ],
                [
                    427,
                    145,
                    685
                ],
                [
                    419,
                    150,
                    702
                ],
                [
                    400,
                    161,
                    720
                ],
                [
                    383,
                    168,
                    737
                ],
                [
                    373,
                    171,
                    755
                ],
                [
                    364,
                    174,
                    772
                ],
                [
                    360,
                    175,
                    790
                ],
                [
                    356,
                    176,
                    811
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0063": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    396,
                    102,
                    0
                ],
                [
                    399,
                    102,
                    49
                ],
                [
                    401,
                    99,
                    113
                ],
                [
                    398,
                    96,
                    136
                ],
                [
                    392,
                    94,
                    153
                ],
                [
                    388,
                    93,
                    169
                ],
                [
                    383,
                    93,
                    187
                ],
                [
                    360,
                    104,
                    205
                ],
                [
                    338,
                    124,
                    222
                ],
                [
                    322,
                    145,
                    239
                ],
                [
                    319,
                    153,
                    255
                ],
                [
                    317,
                    165,
                    271
                ],
                [
                    320,
                    176,
                    289
                ],
                [
                    329,
                    184,
                    307
                ],
                [
                    347,
                    189,
                    324
                ],
                [
                    374,
                    188,
                    343
                ],
                [
                    386,
                    186,
                    360
                ],
                [
                    399,
                    184,
                    375
                ],
                [
                    406,
                    182,
                    393
                ],
                [
                    410,
                    181,
                    413
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0064": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    398,
                    99,
                    0
                ],
                [
                    397,
                    96,
                    86
                ],
                [
                    393,
                    92,
                    119
                ],
                [
                    388,
                    91,
                    131
                ],
                [
                    375,
                    91,
                    146
                ],
                [
                    361,
                    94,
                    162
                ],
                [
                    340,
                    109,
                    177
                ],
                [
                    324,
                    130,
                    193
                ],
                [
                    319,
                    138,
                    208
                ],
                [
                    312,
                    154,
                    223
                ],
                [
                    310,
                    160,
                    238
                ],
                [
                    309,
                    168,
                    254
                ],
                [
                    309,
                    171,
                    267
                ],
                [
                    312,
                    175,
                    285
                ],
                [
                    320,
                    175,
                    301
                ],
                [
                    343,
                    169,
                    319
                ],
                [
                    366,
                    156,
                    337
                ],
                [
                    383,
                    139,
                    357
                ],
                [
                    393,
                    122,
                    373
                ],
                [
                    396,
                    115,
                    387
                ],
                [
                    399,
                    99,
                    402
                ],
                [
                    401,
                    82,
                    416
                ],
                [
                    401,
                    74,
                    431
                ],
                [
                    400,
                    63,
                    445
                ],
                [
                    399,
                    59,
                    458
                ],
                [
                    398,
                    55,
                    475
                ],
                [
                    396,
                    50,
                    491
                ],
                [
                    394,
                    46,
                    515
                ],
                [
                    392,
                    55,
                    587
                ],
                [
                    389,
                    75,
                    598
                ],
                [
                    383,
                    127,
                    613
                ],
                [
                    381,
                    139,
                    628
                ],
                [
                    381,
                    152,
                    644
                ],
                [
                    381,
                    158,
                    659
                ],
                [
                    381,
                    168,
                    674
                ],
                [
                    381,
                    174,
                    689
                ],
                [
                    383,
                    179,
                    712
                ],
                [
                    383,
                    182,
                    730
                ],
                [
                    384,
                    186,
                    759
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0065": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    333,
                    107,
                    0
                ],
                [
                    335,
                    111,
                    76
                ],
                [
                    338,
                    112,
                    93
                ],
                [
                    341,
                    112,
                    103
                ],
                [
                    355,
                    112,
                    120
                ],
                [
                    365,
                    112,
                    135
                ],
                [
                    389,
                    107,
                    150
                ],
                [
                    402,
                    105,
                    166
                ],
                [
                    406,
                    104,
                    181
                ],
                [
                    415,
                    100,
                    197
                ],
                [
                    418,
                    98,
                    212
                ],
                [
                    422,
                    94,
                    228
                ],
                [
                    423,
                    89,
                    244
                ],
                [
                    421,
                    84,
                    262
                ],
                [
                    419,
                    81,
                    281
                ],
                [
                    415,
                    78,
                    304
                ],
                [
                    364,
                    85,
                    321
                ],
                [
                    352,
                    89,
                    336
                ],
                [
                    338,
                    99,
                    350
                ],
                [
                    328,
                    108,
                    370
                ],
                [
                    321,
                    117,
                    392
                ],
                [
                    320,
                    131,
                    414
                ],
                [
                    321,
                    136,
                    428
                ],
                [
                    327,
                    147,
                    449
                ],
                [
                    339,
                    160,
                    465
                ],
                [
                    353,
                    169,
                    480
                ],
                [
                    362,
                    171,
                    495
                ],
                [
                    380,
                    172,
                    512
                ],
                [
                    390,
                    171,
                    528
                ],
                [
                    397,
                    169,
                    548
                ],
                [
                    401,
                    168,
                    568
                ],
                [
                    404,
                    168,
                    595
                ],
                [
                    407,
                    168,
                    641
                ],
                [
                    410,
                    168,
                    696
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0066": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    556,
                    43,
                    0
                ],
                [
                    556,
                    42,
                    33
                ],
                [
                    555,
                    41,
                    67
                ],
                [
                    555,
                    39,
                    85
                ],
                [
                    551,
                    35,
                    103
                ],
                [
                    545,
                    31,
                    125
                ],
                [
                    537,
                    26,
                    149
                ],
                [
                    529,
                    24,
                    166
                ],
                [
                    519,
                    23,
                    183
                ],
                [
                    502,
                    27,
                    209
                ],
                [
                    486,
                    36,
                    228
                ],
                [
                    481,
                    41,
                    250
                ],
                [
                    477,
                    46,
                    267
                ],
                [
                    472,
                    54,
                    287
                ],
                [
                    466,
                    73,
                    309
                ],
                [
                    464,
                    91,
                    332
                ],
                [
                    466,
                    116,
                    351
                ],
                [
                    466,
                    126,
                    368
                ],
                [
                    467,
                    138,
                    385
                ],
                [
                    469,
                    163,
                    402
                ],
                [
                    468,
                    183,
                    438
                ],
                [
                    466,
                    191,
                    462
                ],
                [
                    463,
                    198,
                    478
                ],
                [
                    458,
                    205,
                    502
                ]
            ],
            [
                [
                    436,
                    105,
                    744
                ],
                [
                    436,
                    104,
                    781
                ],
                [
                    437,
                    103,
                    803
                ],
                [
                    443,
                    101,
                    819
                ],
                [
                    452,
                    100,
                    835
                ],
                [
                    462,
                    97,
                    860
                ],
                [
                    472,
                    95,
                    881
                ],
                [
                    493,
                    95,
                    911
                ],
                [
                    518,
                    98,
                    932
                ],
                [
                    527,
                    98,
                    959
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x0067": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    396,
                    86,
                    0
                ],
                [
                    393,
                    84,
                    76
                ],
                [
                    389,
                    81,
                    94
                ],
                [
                    384,
                    77,
                    113
                ],
                [
                    381,
                    77,
                    127
                ],
                [
                    373,
                    77,
                    146
                ],
                [
                    361,
                    81,
                    163
                ],
                [
                    352,
                    84,
                    185
                ],
                [
                    343,
                    91,
                    199
                ],
                [
                    322,
                    113,
                    217
                ],
                [
                    314,
                    127,
                    232
                ],
                [
                    313,
                    136,
                    249
                ],
                [
                    316,
                    143,
                    268
                ],
                [
                    323,
                    147,
                    289
                ],
                [
                    330,
                    149,
                    303
                ],
                [
                    364,
                    142,
                    323
                ],
                [
                    375,
                    134,
                    340
                ],
                [
                    393,
                    116,
                    361
                ],
                [
                    396,
                    111,
                    374
                ],
                [
                    399,
                    103,
                    393
                ],
                [
                    400,
                    98,
                    411
                ],
                [
                    400,
                    94,
                    438
                ],
                [
                    399,
                    99,
                    511
                ],
                [
                    400,
                    105,
                    525
                ],
                [
                    401,
                    121,
                    543
                ],
                [
                    404,
                    144,
                    564
                ],
                [
                    404,
                    150,
                    577
                ],
                [
                    403,
                    164,
                    593
                ],
                [
                    400,
                    178,
                    613
                ],
                [
                    396,
                    187,
                    637
                ],
                [
                    390,
                    195,
                    650
                ],
                [
                    374,
                    216,
                    668
                ],
                [
                    364,
                    224,
                    687
                ],
                [
                    353,
                    229,
                    703
                ],
                [
                    344,
                    230,
                    721
                ],
                [
                    336,
                    229,
                    744
                ],
                [
                    329,
                    222,
                    772
                ],
                [
                    329,
                    210,
                    791
                ],
                [
                    343,
                    184,
                    818
                ],
                [
                    375,
                    155,
                    841
                ],
                [
                    397,
                    144,
                    866
                ],
                [
                    413,
                    139,
                    884
                ],
                [
                    426,
                    135,
                    902
                ],
                [
                    432,
                    134,
                    914
                ],
                [
                    435,
                    134,
                    937
                ],
                [
                    439,
                    134,
                    963
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0068": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    335,
                    30,
                    0
                ],
                [
                    335,
                    33,
                    67
                ],
                [
                    335,
                    38,
                    83
                ],
                [
                    335,
                    44,
                    97
                ],
                [
                    334,
                    68,
                    114
                ],
                [
                    334,
                    99,
                    132
                ],
                [
                    334,
                    124,
                    150
                ],
                [
                    334,
                    137,
                    167
                ],
                [
                    334,
                    142,
                    180
                ],
                [
                    333,
                    150,
                    198
                ],
                [
                    333,
                    158,
                    216
                ],
                [
                    333,
                    164,
                    234
                ],
                [
                    333,
                    169,
                    268
                ],
                [
                    333,
                    172,
                    295
                ],
                [
                    333,
                    169,
                    323
                ],
                [
                    334,
                    163,
                    336
                ],
                [
                    338,
                    139,
                    352
                ],
                [
                    343,
                    118,
                    370
                ],
                [
                    350,
                    105,
                    389
                ],
                [
                    356,
                    95,
                    405
                ],
                [
                    358,
                    91,
                    422
                ],
                [
                    365,
                    86,
                    439
                ],
                [
                    374,
                    82,
                    457
                ],
                [
                    383,
                    82,
                    474
                ],
                [
                    390,
                    85,
                    489
                ],
                [
                    395,
                    91,
                    510
                ],
                [
                    396,
                    96,
                    524
                ],
                [
                    398,
                    120,
                    543
                ],
                [
                    396,
                    128,
                    561
                ],
                [
                    395,
                    140,
                    577
                ],
                [
                    395,
                    152,
                    594
                ],
                [
                    394,
                    160,
                    612
                ],
                [
                    395,
                    167,
                    627
                ],
                [
                    395,
                    170,
                    650
                ],
                [
                    396,
                    174,
                    677
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0069": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    561,
                    187,
                    0
                ],
                [
                    564,
                    186,
                    49
                ],
                [
                    566,
                    181,
                    75
                ],
                [
                    566,
                    178,
                    90
                ],
                [
                    567,
                    174,
                    110
                ],
                [
                    569,
                    168,
                    125
                ],
                [
                    572,
                    140,
                    142
                ],
                [
                    575,
                    121,
                    159
                ],
                [
                    577,
                    112,
                    175
                ],
                [
                    578,
                    105,
                    194
                ],
                [
                    579,
                    101,
                    214
                ],
                [
                    580,
                    97,
                    226
                ],
                [
                    579,
                    101,
                    307
                ],
                [
                    578,
                    112,
                    325
                ],
                [
                    575,
                    129,
                    339
                ],
                [
                    572,
                    142,
                    358
                ],
                [
                    570,
                    151,
                    376
                ],
                [
                    567,
                    165,
                    394
                ],
                [
                    564,
                    182,
                    414
                ],
                [
                    563,
                    188,
                    428
                ],
                [
                    562,
                    195,
                    445
                ],
                [
                    562,
                    199,
                    465
                ]
            ],
            [
                [
                    574,
                    76,
                    725
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x006a": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    335,
                    116,
                    0
                ],
                [
                    338,
                    116,
                    77
                ],
                [
                    341,
                    114,
                    105
                ],
                [
                    344,
                    111,
                    124
                ],
                [
                    348,
                    106,
                    142
                ],
                [
                    351,
                    101,
                    161
                ],
                [
                    353,
                    96,
                    179
                ],
                [
                    354,
                    93,
                    206
                ],
                [
                    357,
                    93,
                    252
                ],
                [
                    358,
                    96,
                    266
                ],
                [
                    359,
                    101,
                    284
                ],
                [
                    360,
                    118,
                    302
                ],
                [
                    361,
                    127,
                    313
                ],
                [
                    361,
                    136,
                    333
                ],
                [
                    359,
                    163,
                    354
                ],
                [
                    357,
                    184,
                    371
                ],
                [
                    355,
                    197,
                    388
                ],
                [
                    352,
                    210,
                    404
                ],
                [
                    350,
                    216,
                    421
                ],
                [
                    347,
                    228,
                    440
                ],
                [
                    344,
                    235,
                    454
                ],
                [
                    341,
                    240,
                    474
                ],
                [
                    338,
                    243,
                    500
                ],
                [
                    335,
                    242,
                    519
                ],
                [
                    330,
                    240,
                    539
                ],
                [
                    327,
                    237,
                    553
                ],
                [
                    321,
                    230,
                    571
                ],
                [
                    320,
                    224,
                    588
                ],
                [
                    323,
                    215,
                    605
                ],
                [
                    335,
                    201,
                    622
                ],
                [
                    358,
                    184,
                    640
                ],
                [
                    379,
                    172,
                    659
                ],
                [
                    387,
                    168,
                    676
                ],
                [
                    391,
                    166,
                    698
                ]
            ],
            [
                [
                    347,
                    58,
                    967
                ],
                [
                    350,
                    59,
                    1002
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x006b": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    331,
                    40,
                    0
                ],
                [
                    331,
                    43,
                    29
                ],
                [
                    331,
                    48,
                    47
                ],
                [
                    330,
                    54,
                    61
                ],
                [
                    329,
                    72,
                    79
                ],
                [
                    326,
                    101,
                    95
                ],
                [
                    323,
                    122,
                    112
                ],
                [
                    321,
                    137,
                    131
                ],
                [
                    321,
                    149,
                    147
                ],
                [
                    321,
                    157,
                    164
                ],
                [
                    321,
                    160,
                    178
                ],
                [
                    321,
                    166,
                    195
                ],
                [
                    321,
                    169,
                    215
                ],
                [
                    321,
                    173,
                    233
                ],
                [
                    321,
                    176,
                    251
                ],
                [
                    323,
                    170,
                    342
                ],
                [
                    330,
                    147,
                    356
                ],
                [
                    343,
                    124,
                    375
                ],
                [
                    351,
                    115,
                    390
                ],
                [
                    362,
                    106,
                    407
                ],
                [
                    377,
                    97,
                    424
                ],
                [
                    388,
                    92,
                    444
                ],
                [
                    391,
                    91,
                    460
                ],
                [
                    395,
                    91,
                    477
                ],
                [
                    398,
                    91,
                    499
                ],
                [
                    393,
                    96,
                    535
                ],
                [
                    387,
                    101,
                    549
                ],
                [
                    369,
                    116,
                    567
                ],
                [
                    350,
                    130,
                    583
                ],
                [
                    340,
                    140,
                    601
                ],
                [
                    333,
                    149,
                    618
                ],
                [
                    329,
                    155,
                    635
                ],
                [
                    326,
                    160,
                    657
                ],
                [
                    326,
                    164,
                    675
                ],
                [
                    330,
                    168,
                    718
                ],
                [
                    335,
                    170,
                    733
                ],
                [
                    356,
                    177,
                    751
                ],
                [
                    365,
                    180,
                    768
                ],
                [
                    369,
                    183,
                    785
                ],
                [
                    372,
                    186,
                    811
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x006c": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    564,
                    192,
                    0
                ],
                [
                    567,
                    192,
                    49
                ],
                [
                    569,
                    187,
                    106
                ],
                [
                    570,
                    183,
                    117
                ],
                [
                    572,
                    165,
                    133
                ],
                [
                    573,
                    149,
                    147
                ],
                [
                    575,
                    120,
                    161
                ],
                [
                    576,
                    106,
                    173
                ],
                [
                    578,
                    93,
                    186
                ],
                [
                    579,
                    72,
                    204
                ],
                [
                    581,
                    57,
                    220
                ],
                [
                    582,
                    44,
                    237
                ],
                [
                    582,
                    41,
                    252
                ],
                [
                    582,
                    36,
                    270
                ],
                [
                    582,
                    32,
                    286
                ],
                [
                    582,
                    29,
                    314
                ],
                [
                    581,
                    35,
                    410
                ],
                [
                    580,
                    40,
                    421
                ],
                [
                    579,
                    47,
                    436
                ],
                [
                    577,
                    58,
                    453
                ],
                [
                    574,
                    91,
                    469
                ],
                [
                    574,
                    106,
                    483
                ],
                [
                    574,
                    127,
                    499
                ],
                [
                    575,
                    139,
                    516
                ],
                [
                    575,
                    144,
                    533
                ],
                [
                    575,
                    155,
                    550
                ],
                [
                    576,
                    164,
                    566
                ],
                [
                    576,
                    171,
                    584
                ],
                [
                    577,
                    174,
                    600
                ],
                [
                    578,
                    180,
                    617
                ],
                [
                    578,
                    184,
                    637
                ],
                [
                    579,
                    188,
                    655
                ],
                [
                    579,
                    191,
                    671
                ],
                [
                    579,
                    194,
                    690
                ],
                [
                    579,
                    198,
                    717
                ],
                [
                    579,
                    201,
                    753
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x006d": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    316,
                    92,
                    0
                ],
                [
                    316,
                    97,
                    122
                ],
                [
                    316,
                    102,
                    130
                ],
                [
                    316,
                    125,
                    147
                ],
                [
                    316,
                    137,
                    162
                ],
                [
                    317,
                    152,
                    178
                ],
                [
                    317,
                    163,
                    192
                ],
                [
                    317,
                    167,
                    207
                ],
                [
                    317,
                    172,
                    217
                ],
                [
                    317,
                    179,
                    237
                ],
                [
                    317,
                    182,
                    254
                ],
                [
                    319,
                    174,
                    322
                ],
                [
                    321,
                    160,
                    332
                ],
                [
                    324,
                    135,
                    349
                ],
                [
                    326,
                    130,
                    363
                ],
                [
                    329,
                    118,
                    378
                ],
                [
                    335,
                    106,
                    393
                ],
                [
                    340,
                    99,
                    406
                ],
                [
                    346,
                    92,
                    421
                ],
                [
                    350,
                    87,
                    443
                ],
                [
                    353,
                    87,
                    471
                ],
                [
                    355,
                    94,
                    489
                ],
                [
                    356,
                    100,
                    501
                ],
                [
                    358,
                    124,
                    517
                ],
                [
                    360,
                    140,
                    532
                ],
                [
                    360,
                    145,
                    547
                ],
                [
                    360,
                    154,
                    564
                ],
                [
                    360,
                    165,
                    589
                ],
                [
                    360,
                    169,
                    610
                ],
                [
                    360,
                    172,
                    637
                ],
                [
                    360,
                    169,
                    673
                ],
                [
                    363,
                    151,
                    688
                ],
                [
                    365,
                    137,
                    704
                ],
                [
                    370,
                    118,
                    720
                ],
                [
                    372,
                    114,
                    744
                ],
                [
                    373,
                    111,
                    755
                ],
                [
                    376,
                    107,
                    773
                ],
                [
                    379,
                    105,
                    791
                ],
                [
                    383,
                    104,
                    810
                ],
                [
                    387,
                    109,
                    838
                ],
                [
                    390,
                    116,
                    854
                ],
                [
                    390,
                    120,
                    866
                ],
                [
                    392,
                    134,
                    883
                ],
                [
                    392,
                    140,
                    899
                ],
                [
                    392,
                    153,
                    914
                ],
                [
                    392,
                    163,
                    931
                ],
                [
                    393,
                    169,
                    948
                ],
                [
                    394,
                    173,
                    968
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x006e": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    330,
                    71,
                    0
                ],
                [
                    331,
                    74,
                    58
                ],
                [
                    331,
                    78,
                    85
                ],
                [
                    330,
                    87,
                    100
                ],
                [
                    330,
                    99,
                    117
                ],
                [
                    327,
                    130,
                    134
                ],
                [
                    326,
                    157,
                    149
                ],
                [
                    326,
                    164,
                    162
                ],
                [
                    326,
                    174,
                    176
                ],
                [
                    326,
                    178,
                    191
                ],
                [
                    327,
                    181,
                    206
                ],
                [
                    327,
                    185,
                    221
                ],
                [
                    329,
                    178,
                    279
                ],
                [
                    330,
                    170,
                    290
                ],
                [
                    336,
                    141,
                    306
                ],
                [
                    340,
                    128,
                    319
                ],
                [
                    349,
                    105,
                    336
                ],
                [
                    352,
                    98,
                    351
                ],
                [
                    355,
                    94,
                    369
                ],
                [
                    358,
                    90,
                    384
                ],
                [
                    367,
                    84,
                    400
                ],
                [
                    374,
                    84,
                    417
                ],
                [
                    380,
                    88,
                    433
                ],
                [
                    386,
                    99,
                    450
                ],
                [
                    388,
                    109,
                    466
                ],
                [
                    390,
                    127,
                    483
                ],
                [
                    389,
                    142,
                    499
                ],
                [
                    387,
                    152,
                    516
                ],
                [
                    387,
                    156,
                    533
                ],
                [
                    386,
                    162,
                    549
                ],
                [
                    386,
                    165,
                    570
                ],
                [
                    386,
                    169,
                    585
                ],
                [
                    387,
                    172,
                    601
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x006f": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    406,
                    78,
                    0
                ],
                [
                    405,
                    78,
                    38
                ],
                [
                    403,
                    78,
                    48
                ],
                [
                    396,
                    80,
                    84
                ],
                [
                    390,
                    83,
                    109
                ],
                [
                    387,
                    88,
                    132
                ],
                [
                    381,
                    99,
                    153
                ],
                [
                    382,
                    106,
                    172
                ],
                [
                    390,
                    119,
                    207
                ],
                [
                    396,
                    123,
                    236
                ],
                [
                    405,
                    125,
                    252
                ],
                [
                    413,
                    125,
                    274
                ],
                [
                    425,
                    119,
                    297
                ],
                [
                    428,
                    113,
                    310
                ],
                [
                    429,
                    106,
                    336
                ],
                [
                    426,
                    100,
                    353
                ],
                [
                    418,
                    90,
                    387
                ],
                [
                    413,
                    86,
                    405
                ],
                [
                    411,
                    85,
                    425
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x0070": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    363,
                    64,
                    0
                ],
                [
                    363,
                    65,
                    38
                ],
                [
                    360,
                    96,
                    70
                ],
                [
                    356,
                    120,
                    89
                ],
                [
                    358,
                    146,
                    110
                ],
                [
                    358,
                    173,
                    132
                ],
                [
                    356,
                    193,
                    156
                ],
                [
                    355,
                    203,
                    173
                ],
                [
                    353,
                    210,
                    191
                ],
                [
                    353,
                    211,
                    206
                ],
                [
                    350,
                    202,
                    243
                ],
                [
                    347,
                    176,
                    268
                ],
                [
                    347,
                    150,
                    293
                ],
                [
                    355,
                    101,
                    317
                ],
                [
                    362,
                    79,
                    342
                ],
                [
                    366,
                    70,
                    358
                ],
                [
                    377,
                    53,
                    376
                ],
                [
                    385,
                    45,
                    409
                ],
                [
                    387,
                    45,
                    429
                ],
                [
                    390,
                    48,
                    449
                ],
                [
                    395,
                    80,
                    479
                ],
                [
                    395,
                    90,
                    504
                ],
                [
                    392,
                    107,
                    527
                ],
                [
                    388,
                    112,
                    553
                ],
                [
                    376,
                    111,
                    576
                ],
                [
                    363,
                    106,
                    607
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x0071": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    435,
                    78,
                    0
                ],
                [
                    435,
                    77,
                    13
                ],
                [
                    435,
                    76,
                    33
                ],
                [
                    435,
                    75,
                    70
                ],
                [
                    434,
                    74,
                    84
                ],
                [
                    434,
                    73,
                    109
                ],
                [
                    431,
                    70,
                    130
                ],
                [
                    417,
                    65,
                    156
                ],
                [
                    407,
                    65,
                    174
                ],
                [
                    385,
                    70,
                    194
                ],
                [
                    377,
                    73,
                    214
                ],
                [
                    361,
                    83,
                    238
                ],
                [
                    355,
                    88,
                    247
                ],
                [
                    349,
                    100,
                    275
                ],
                [
                    354,
                    113,
                    310
                ],
                [
                    360,
                    117,
                    338
                ],
                [
                    368,
                    120,
                    357
                ],
                [
                    379,
                    120,
                    377
                ],
                [
                    408,
                    110,
                    412
                ],
                [
                    414,
                    105,
                    437
                ],
                [
                    423,
                    95,
                    462
                ],
                [
                    424,
                    91,
                    484
                ],
                [
                    426,
                    87,
                    511
                ],
                [
                    426,
                    83,
                    541
                ],
                [
                    427,
                    81,
                    564
                ],
                [
                    426,
                    80,
                    591
                ],
                [
                    427,
                    79,
                    648
                ],
                [
                    427,
                    81,
                    698
                ],
                [
                    427,
                    83,
                    722
                ],
                [
                    428,
                    90,
                    741
                ],
                [
                    430,
                    98,
                    760
                ],
                [
                    432,
                    118,
                    788
                ],
                [
                    434,
                    129,
                    797
                ],
                [
                    436,
                    151,
                    829
                ],
                [
                    436,
                    160,
                    844
                ],
                [
                    437,
                    166,
                    863
                ],
                [
                    437,
                    171,
                    899
                ],
                [
                    437,
                    173,
                    921
                ],
                [
                    437,
                    176,
                    938
                ],
                [
                    437,
                    177,
                    964
                ],
                [
                    437,
                    178,
                    985
                ],
                [
                    437,
                    179,
                    1013
                ],
                [
                    437,
                    180,
                    1032
                ],
                [
                    437,
                    181,
                    1101
                ],
                [
                    438,
                    181,
                    1136
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x0072": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    280,
                    86,
                    0
                ],
                [
                    281,
                    89,
                    94
                ],
                [
                    281,
                    95,
                    112
                ],
                [
                    281,
                    107,
                    132
                ],
                [
                    280,
                    121,
                    152
                ],
                [
                    280,
                    134,
                    171
                ],
                [
                    280,
                    142,
                    188
                ],
                [
                    280,
                    151,
                    205
                ],
                [
                    280,
                    154,
                    224
                ],
                [
                    280,
                    157,
                    240
                ],
                [
                    280,
                    160,
                    257
                ],
                [
                    280,
                    164,
                    276
                ],
                [
                    280,
                    167,
                    295
                ],
                [
                    280,
                    162,
                    340
                ],
                [
                    281,
                    155,
                    354
                ],
                [
                    283,
                    139,
                    373
                ],
                [
                    287,
                    121,
                    392
                ],
                [
                    289,
                    109,
                    408
                ],
                [
                    292,
                    103,
                    425
                ],
                [
                    295,
                    98,
                    444
                ],
                [
                    300,
                    96,
                    462
                ],
                [
                    307,
                    94,
                    477
                ],
                [
                    315,
                    95,
                    495
                ],
                [
                    320,
                    96,
                    513
                ],
                [
                    328,
                    98,
                    532
                ],
                [
                    332,
                    99,
                    547
                ],
                [
                    336,
                    100,
                    565
                ],
                [
                    339,
                    101,
                    583
                ],
                [
                    343,
                    101,
                    611
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0073": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    642,
                    78,
                    0
                ],
                [
                    639,
                    77,
                    95
                ],
                [
                    636,
                    77,
                    103
                ],
                [
                    627,
                    76,
                    122
                ],
                [
                    610,
                    76,
                    147
                ],
                [
                    599,
                    77,
                    174
                ],
                [
                    587,
                    80,
                    196
                ],
                [
                    584,
                    82,
                    222
                ],
                [
                    583,
                    86,
                    246
                ],
                [
                    586,
                    89,
                    264
                ],
                [
                    593,
                    94,
                    284
                ],
                [
                    602,
                    99,
                    305
                ],
                [
                    615,
                    104,
                    331
                ],
                [
                    619,
                    107,
                    349
                ],
                [
                    630,
                    119,
                    369
                ],
                [
                    633,
                    130,
                    396
                ],
                [
                    632,
                    134,
                    419
                ],
                [
                    625,
                    139,
                    437
                ],
                [
                    620,
                    142,
                    449
                ],
                [
                    609,
                    147,
                    469
                ],
                [
                    595,
                    152,
                    486
                ],
                [
                    587,
                    155,
                    502
                ],
                [
                    579,
                    158,
                    519
                ],
                [
                    576,
                    159,
                    539
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0074": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    393,
                    53,
                    0
                ],
                [
                    393,
                    54,
                    118
                ],
                [
                    393,
                    56,
                    142
                ],
                [
                    393,
                    58,
                    159
                ],
                [
                    393,
                    65,
                    180
                ],
                [
                    393,
                    72,
                    203
                ],
                [
                    392,
                    90,
                    225
                ],
                [
                    390,
                    100,
                    246
                ],
                [
                    390,
                    110,
                    265
                ],
                [
                    389,
                    120,
                    284
                ],
                [
                    389,
                    130,
                    307
                ],
                [
                    390,
                    146,
                    325
                ],
                [
                    392,
                    152,
                    348
                ],
                [
                    396,
                    156,
                    365
                ],
                [
                    400,
                    158,
                    382
                ]
            ],
            [
                [
                    360,
                    95,
                    796
                ],
                [
                    361,
                    95,
                    869
                ],
                [
                    364,
                    94,
                    940
                ],
                [
                    371,
                    93,
                    955
                ],
                [
                    381,
                    91,
                    976
                ],
                [
                    390,
                    90,
                    997
                ],
                [
                    410,
                    88,
                    1024
                ],
                [
                    418,
                    87,
                    1042
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x0075": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    447,
                    52,
                    0
                ],
                [
                    447,
                    56,
                    47
                ],
                [
                    446,
                    63,
                    64
                ],
                [
                    444,
                    71,
                    76
                ],
                [
                    441,
                    104,
                    90
                ],
                [
                    441,
                    120,
                    105
                ],
                [
                    441,
                    149,
                    123
                ],
                [
                    444,
                    167,
                    138
                ],
                [
                    446,
                    175,
                    154
                ],
                [
                    450,
                    187,
                    170
                ],
                [
                    456,
                    194,
                    186
                ],
                [
                    461,
                    195,
                    205
                ],
                [
                    469,
                    189,
                    225
                ],
                [
                    475,
                    179,
                    238
                ],
                [
                    490,
                    147,
                    255
                ],
                [
                    505,
                    99,
                    272
                ],
                [
                    509,
                    80,
                    288
                ],
                [
                    512,
                    64,
                    304
                ],
                [
                    512,
                    59,
                    321
                ],
                [
                    513,
                    51,
                    337
                ],
                [
                    515,
                    47,
                    354
                ],
                [
                    514,
                    51,
                    408
                ],
                [
                    514,
                    57,
                    432
                ],
                [
                    512,
                    71,
                    445
                ],
                [
                    512,
                    125,
                    460
                ],
                [
                    513,
                    147,
                    475
                ],
                [
                    516,
                    165,
                    492
                ],
                [
                    519,
                    177,
                    508
                ],
                [
                    522,
                    186,
                    522
                ],
                [
                    524,
                    190,
                    539
                ],
                [
                    527,
                    191,
                    555
                ],
                [
                    534,
                    184,
                    575
                ],
                [
                    546,
                    170,
                    588
                ],
                [
                    556,
                    155,
                    603
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0076": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    329,
                    74,
                    0
                ],
                [
                    332,
                    76,
                    92
                ],
                [
                    336,
                    84,
                    110
                ],
                [
                    342,
                    95,
                    123
                ],
                [
                    358,
                    135,
                    146
                ],
                [
                    360,
                    144,
                    161
                ],
                [
                    364,
                    157,
                    181
                ],
                [
                    366,
                    165,
                    193
                ],
                [
                    369,
                    172,
                    221
                ],
                [
                    370,
                    175,
                    251
                ],
                [
                    373,
                    176,
                    306
                ],
                [
                    377,
                    171,
                    326
                ],
                [
                    385,
                    157,
                    341
                ],
                [
                    395,
                    132,
                    363
                ],
                [
                    401,
                    115,
                    385
                ],
                [
                    409,
                    94,
                    406
                ],
                [
                    412,
                    87,
                    431
                ],
                [
                    413,
                    80,
                    447
                ],
                [
                    415,
                    75,
                    467
                ],
                [
                    416,
                    71,
                    509
                ],
                [
                    418,
                    68,
                    557
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0077": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    357,
                    72,
                    0
                ],
                [
                    360,
                    75,
                    122
                ],
                [
                    361,
                    78,
                    129
                ],
                [
                    364,
                    90,
                    147
                ],
                [
                    370,
                    112,
                    166
                ],
                [
                    374,
                    126,
                    183
                ],
                [
                    375,
                    132,
                    200
                ],
                [
                    378,
                    139,
                    216
                ],
                [
                    378,
                    142,
                    233
                ],
                [
                    379,
                    145,
                    251
                ],
                [
                    381,
                    149,
                    271
                ],
                [
                    385,
                    142,
                    328
                ],
                [
                    387,
                    134,
                    342
                ],
                [
                    396,
                    100,
                    361
                ],
                [
                    397,
                    95,
                    376
                ],
                [
                    399,
                    87,
                    393
                ],
                [
                    401,
                    80,
                    417
                ],
                [
                    403,
                    75,
                    445
                ],
                [
                    404,
                    72,
                    473
                ],
                [
                    406,
                    76,
                    514
                ],
                [
                    407,
                    79,
                    532
                ],
                [
                    410,
                    104,
                    553
                ],
                [
                    412,
                    119,
                    575
                ],
                [
                    414,
                    130,
                    598
                ],
                [
                    415,
                    138,
                    620
                ],
                [
                    416,
                    142,
                    636
                ],
                [
                    417,
                    145,
                    662
                ],
                [
                    420,
                    147,
                    707
                ],
                [
                    422,
                    139,
                    722
                ],
                [
                    427,
                    122,
                    740
                ],
                [
                    433,
                    102,
                    759
                ],
                [
                    437,
                    92,
                    777
                ],
                [
                    438,
                    88,
                    794
                ],
                [
                    439,
                    85,
                    812
                ],
                [
                    441,
                    80,
                    832
                ],
                [
                    443,
                    76,
                    846
                ],
                [
                    446,
                    73,
                    907
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0078": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    657,
                    59,
                    0
                ],
                [
                    656,
                    62,
                    75
                ],
                [
                    652,
                    67,
                    83
                ],
                [
                    640,
                    81,
                    104
                ],
                [
                    619,
                    105,
                    120
                ],
                [
                    602,
                    126,
                    140
                ],
                [
                    594,
                    136,
                    154
                ],
                [
                    583,
                    150,
                    171
                ],
                [
                    574,
                    160,
                    188
                ],
                [
                    568,
                    168,
                    205
                ],
                [
                    566,
                    171,
                    222
                ],
                [
                    562,
                    175,
                    241
                ],
                [
                    561,
                    179,
                    261
                ],
                [
                    559,
                    182,
                    307
                ],
                [
                    558,
                    177,
                    400
                ],
                [
                    555,
                    160,
                    414
                ],
                [
                    552,
                    130,
                    432
                ],
                [
                    552,
                    104,
                    450
                ],
                [
                    552,
                    95,
                    468
                ],
                [
                    552,
                    77,
                    485
                ],
                [
                    552,
                    71,
                    506
                ],
                [
                    552,
                    66,
                    520
                ],
                [
                    549,
                    54,
                    538
                ],
                [
                    548,
                    47,
                    552
                ],
                [
                    547,
                    42,
                    574
                ],
                [
                    547,
                    39,
                    602
                ],
                [
                    552,
                    41,
                    648
                ],
                [
                    556,
                    46,
                    670
                ],
                [
                    565,
                    56,
                    689
                ],
                [
                    584,
                    81,
                    711
                ],
                [
                    594,
                    94,
                    730
                ],
                [
                    599,
                    102,
                    747
                ],
                [
                    609,
                    117,
                    765
                ],
                [
                    618,
                    132,
                    782
                ],
                [
                    624,
                    140,
                    799
                ],
                [
                    630,
                    148,
                    818
                ],
                [
                    633,
                    152,
                    833
                ],
                [
                    636,
                    155,
                    852
                ],
                [
                    641,
                    160,
                    869
                ],
                [
                    644,
                    164,
                    883
                ],
                [
                    647,
                    168,
                    901
                ],
                [
                    649,
                    171,
                    919
                ],
                [
                    653,
                    175,
                    943
                ],
                [
                    655,
                    178,
                    997
                ],
                [
                    658,
                    181,
                    1046
                ],
                [
                    661,
                    184,
                    1092
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x0079": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    487,
                    89,
                    0
                ],
                [
                    487,
                    92,
                    76
                ],
                [
                    487,
                    96,
                    104
                ],
                [
                    487,
                    102,
                    123
                ],
                [
                    487,
                    107,
                    134
                ],
                [
                    487,
                    119,
                    150
                ],
                [
                    487,
                    126,
                    166
                ],
                [
                    488,
                    138,
                    181
                ],
                [
                    491,
                    147,
                    196
                ],
                [
                    493,
                    151,
                    211
                ],
                [
                    498,
                    155,
                    227
                ],
                [
                    504,
                    157,
                    242
                ],
                [
                    507,
                    156,
                    256
                ],
                [
                    517,
                    149,
                    272
                ],
                [
                    524,
                    142,
                    287
                ],
                [
                    540,
                    120,
                    302
                ],
                [
                    547,
                    109,
                    319
                ],
                [
                    552,
                    99,
                    334
                ],
                [
                    554,
                    96,
                    350
                ],
                [
                    556,
                    91,
                    381
                ],
                [
                    556,
                    88,
                    408
                ],
                [
                    555,
                    92,
                    482
                ],
                [
                    553,
                    99,
                    501
                ],
                [
                    552,
                    106,
                    512
                ],
                [
                    549,
                    119,
                    528
                ],
                [
                    546,
                    131,
                    543
                ],
                [
                    545,
                    137,
                    558
                ],
                [
                    542,
                    150,
                    574
                ],
                [
                    542,
                    155,
                    589
                ],
                [
                    541,
                    165,
                    606
                ],
                [
                    540,
                    175,
                    622
                ],
                [
                    539,
                    182,
                    637
                ],
                [
                    538,
                    194,
                    655
                ],
                [
                    537,
                    203,
                    671
                ],
                [
                    533,
                    211,
                    688
                ],
                [
                    529,
                    218,
                    705
                ],
                [
                    525,
                    223,
                    726
                ],
                [
                    522,
                    225,
                    740
                ],
                [
                    515,
                    228,
                    754
                ],
                [
                    507,
                    229,
                    771
                ],
                [
                    503,
                    229,
                    787
                ],
                [
                    499,
                    229,
                    802
                ],
                [
                    495,
                    226,
                    820
                ],
                [
                    492,
                    220,
                    844
                ],
                [
                    492,
                    216,
                    857
                ],
                [
                    496,
                    205,
                    871
                ],
                [
                    509,
                    187,
                    887
                ],
                [
                    516,
                    180,
                    901
                ],
                [
                    531,
                    170,
                    916
                ],
                [
                    538,
                    166,
                    928
                ],
                [
                    553,
                    160,
                    943
                ],
                [
                    559,
                    158,
                    960
                ],
                [
                    566,
                    156,
                    978
                ],
                [
                    569,
                    155,
                    990
                ],
                [
                    573,
                    154,
                    1007
                ],
                [
                    577,
                    152,
                    1024
                ],
                [
                    581,
                    150,
                    1041
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x007a": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    466,
                    89,
                    0
                ],
                [
                    469,
                    89,
                    257
                ],
                [
                    472,
                    88,
                    282
                ],
                [
                    479,
                    87,
                    302
                ],
                [
                    486,
                    86,
                    316
                ],
                [
                    510,
                    82,
                    332
                ],
                [
                    535,
                    79,
                    350
                ],
                [
                    547,
                    79,
                    367
                ],
                [
                    558,
                    79,
                    387
                ],
                [
                    562,
                    79,
                    399
                ],
                [
                    569,
                    79,
                    419
                ],
                [
                    573,
                    79,
                    436
                ],
                [
                    576,
                    81,
                    463
                ],
                [
                    576,
                    84,
                    491
                ],
                [
                    569,
                    90,
                    510
                ],
                [
                    561,
                    96,
                    524
                ],
                [
                    539,
                    111,
                    542
                ],
                [
                    520,
                    123,
                    560
                ],
                [
                    498,
                    135,
                    577
                ],
                [
                    486,
                    142,
                    595
                ],
                [
                    481,
                    145,
                    614
                ],
                [
                    476,
                    149,
                    630
                ],
                [
                    472,
                    152,
                    648
                ],
                [
                    469,
                    157,
                    666
                ],
                [
                    475,
                    159,
                    696
                ],
                [
                    482,
                    159,
                    710
                ],
                [
                    506,
                    158,
                    721
                ],
                [
                    518,
                    158,
                    736
                ],
                [
                    533,
                    158,
                    751
                ],
                [
                    545,
                    158,
                    772
                ],
                [
                    551,
                    158,
                    786
                ],
                [
                    560,
                    158,
                    803
                ],
                [
                    566,
                    158,
                    819
                ],
                [
                    570,
                    158,
                    839
                ],
                [
                    573,
                    158,
                    869
                ],
                [
                    576,
                    158,
                    905
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1031,
        ".X_POINTS_PER_INCH": 198,
        ".Y_DIM": 263,
        ".Y_POINTS_PER_INCH": 198
    },
    "0x1000003": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    564,
                    91,
                    0
                ],
                [
                    563,
                    91,
                    13
                ],
                [
                    561,
                    91,
                    47
                ],
                [
                    553,
                    92,
                    64
                ],
                [
                    542,
                    93,
                    82
                ],
                [
                    485,
                    95,
                    107
                ],
                [
                    456,
                    97,
                    127
                ],
                [
                    426,
                    98,
                    152
                ],
                [
                    394,
                    99,
                    170
                ],
                [
                    362,
                    99,
                    187
                ],
                [
                    303,
                    99,
                    207
                ],
                [
                    292,
                    100,
                    230
                ],
                [
                    280,
                    100,
                    255
                ],
                [
                    270,
                    100,
                    272
                ],
                [
                    263,
                    100,
                    289
                ],
                [
                    260,
                    100,
                    313
                ],
                [
                    255,
                    100,
                    341
                ],
                [
                    253,
                    100,
                    362
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 821,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 211,
        ".Y_POINTS_PER_INCH": 100
    },
    "0x100117e": {
        ".COORD": [
            "X",
            "Y",
            "T"
        ],
        ".HIERARCHY": "CHARACTER",
        ".PEN": [
            [
                [
                    498,
                    412,
                    0
                ],
                [
                    497,
                    405,
                    25
                ],
                [
                    499,
                    355,
                    51
                ],
                [
                    504,
                    282,
                    90
                ],
                [
                    504,
                    228,
                    126
                ],
                [
                    503,
                    192,
                    165
                ],
                [
                    504,
                    173,
                    204
                ],
                [
                    506,
                    155,
                    250
                ],
                [
                    506,
                    151,
                    286
                ],
                [
                    506,
                    148,
                    322
                ],
                [
                    506,
                    146,
                    360
                ],
                [
                    506,
                    145,
                    413
                ],
                [
                    506,
                    144,
                    444
                ]
            ]
        ],
        ".POINTS_PER_SECOND": 60,
        ".SEGMENT": "CHARACTER",
        ".VERSION": "1.0",
        ".X_DIM": 1024,
        ".X_POINTS_PER_INCH": 100,
        ".Y_DIM": 600,
        ".Y_POINTS_PER_INCH": 100
    }
}
